# Cumulus Makefile for OZ/Opie
#
# $Id: Makefile.oz,v 1.3 2005/02/27 18:46:34 axel Exp $

DISTPATH = $(shell pwd)
DISTDIR = $(shell basename $(DISTPATH))

IPKGDIR = ipkg_tmp

all: qmake
	make resetdate
	cd cumulus; make
	cd cumulus; make -f MakefileGpsClient

clean:
	cd cumulus; make clean
	cd cumulus; make -f MakefileGpsClient clean
	rm cumulus/Makefile
	rm cumulus/MakefileGpsClient
	rm -rf ipkg_build
	rm -rf ipkg_lang_build
	rm -rf ipkg

install:
	#cd cumulus/map-icons make instal
	mkdir -p $(OPIEDIR)/pics/cumulus/small
	mkdir -p $(HOME)/Settings
	mkdir -p $(HOME)/Applications/cumulus
	ln -sf $(HOME)/Applications/cumulus $(HOME)/Applications/kflog
	cp -u cumulus/map-icons/*.xpm $(OPIEDIR)/pics/cumulus
	cp -u cumulus/map-icons/*.png $(OPIEDIR)/pics/cumulus
	cp -u cumulus/map-icons/small/*.xpm $(OPIEDIR)/pics/cumulus/small
	cp -u cumulus/map-icons/small/*.png $(OPIEDIR)/pics/cumulus/small
	cp -u cumulus/map-icons/windarrows/*.png $(OPIEDIR)/pics/cumulus/windarrows 
	cp -u cumulus/cumulus.png $(OPIEDIR)/pics/cumulus
	cp -u cumulus/cumulus.desktop $(OPIEDIR)/apps/Applications
	cp -u cumulus/cumulus $(OPIEDIR)/bin
	cp -u cumulus/gpsClient $(OPIEDIR)/bin
	cp -u cumulus/Cumulus.conf $(HOME)/Settings
	cp -u help/*.html $(OPIEDIR)/help/html
	cp -u glider.pol $(HOME)/Applications/cumulus
	echo "Warning: this install script is basicly unmaintained! There are no guarantees it will work for you..."

.PHONY : ipkg
ipkg:
	rm -fr  $(IPKGDIR)/*
	mkdir -p $(IPKGDIR)/CONTROL
	mkdir -p $(IPKGDIR)/opt/QtPalmtop/pics/cumulus/small
	mkdir -p $(IPKGDIR)/opt/QtPalmtop/pics/cumulus/windarrows
	mkdir -p $(IPKGDIR)/opt/QtPalmtop/apps/Applications
	mkdir -p $(IPKGDIR)/opt/QtPalmtop/bin
	mkdir -p $(IPKGDIR)/root/Settings
	mkdir -p $(IPKGDIR)/root/Applications/cumulus	
	mkdir -p $(IPKGDIR)/opt/QtPalmtop/help/html
	mkdir -p ipkg
	arm-linux-strip cumulus/cumulus
	arm-linux-strip cumulus/gpsClient
	cp -u control.oz $(IPKGDIR)/CONTROL/control
	cp -u postinst.oz $(IPKGDIR)/CONTROL/postinst
	#cp -u prerm.oz $(IPKGDIR)/CONTROL/prerm
	cp -u conffiles.oz $(IPKGDIR)/CONTROL/conffiles
	cp -u cumulus/map-icons/*.xpm $(IPKGDIR)/opt/QtPalmtop/pics/cumulus
	cp -u cumulus/map-icons/*.png $(IPKGDIR)/opt/QtPalmtop/pics/cumulus
	cp -u cumulus/map-icons/small/*.xpm $(IPKGDIR)/opt/QtPalmtop/pics/cumulus/small
	cp -u cumulus/map-icons/small/*.png $(IPKGDIR)/opt/QtPalmtop/pics/cumulus/small
	cp -u cumulus/map-icons/windarrows/*.png $(IPKGDIR)/opt/QtPalmtop/pics/cumulus/windarrows 
	cp -u cumulus/cumulus.png $(IPKGDIR)/opt/QtPalmtop/pics/cumulus
	cp -u cumulus/cumulus.desktop $(IPKGDIR)/opt/QtPalmtop/apps/Applications
	cp -u cumulus/cumulus $(IPKGDIR)/opt/QtPalmtop/bin
	cp -u cumulus/gpsClient $(IPKGDIR)/opt/QtPalmtop/bin
	cp -u cumulus/Cumulus.conf $(IPKGDIR)/root/Settings
	cp -u help/*.html $(IPKGDIR)/opt/QtPalmtop/help/html
	cp -u cumulus/cumulus.png $(IPKGDIR)/opt/QtPalmtop/help/html
	cp -u glider.pol $(IPKGDIR)/root/Applications/cumulus
	ipkg-build -o root -g root ./$(IPKGDIR) ./ipkg

.PHONY : langpacks
langpacks:
	make langpack_de
	make langpack_nl
	make langpack_it

.PHONY : langpack_de
langpack_de:
	rm -rf ipkg_lang_build
	mkdir -p ipkg_lang_build/CONTROL
	mkdir -p ipkg_lang_build/opt/QtPalmtop/help/de/html
	mkdir -p ipkg_lang_build/opt/QtPalmtop/i18n/de
	mkdir -p ipkg
	cd cumulus; lrelease cumulus.pro
	cp -u control_de ipkg_lang_build/CONTROL/control
	cp -u help/de/*.html ipkg_lang_build/opt/QtPalmtop/help/de/html
	cp -u cumulus/cumulus_de.qm ipkg_lang_build/opt/QtPalmtop/i18n/de/cumulus.qm
	ipkg-build ./ipkg_lang_build ./ipkg


.PHONY : langpack_nl
langpack_nl:
	rm -rf ipkg_lang_build
	mkdir -p ipkg_lang_build/CONTROL
	mkdir -p ipkg_lang_build/opt/QtPalmtop/help/nl/html
	mkdir -p ipkg_lang_build/opt/QtPalmtop/i18n/nl
	mkdir -p ipkg
	cd cumulus; lrelease cumulus.pro
	cp -u control_nl ipkg_lang_build/CONTROL/control
	cp -u help/nl/*.html ipkg_lang_build/opt/QtPalmtop/help/nl/html
	cp -u cumulus/cumulus_nl.qm ipkg_lang_build/opt/QtPalmtop/i18n/nl/cumulus.qm
	ipkg-build ./ipkg_lang_build ./ipkg


.PHONY : langpack_it
langpack_it:
	rm -rf ipkg_lang_build
	mkdir -p ipkg_lang_build/CONTROL
	mkdir -p ipkg_lang_build/opt/QtPalmtop/help/it/html
	mkdir -p ipkg_lang_build/opt/QtPalmtop/i18n/it
	mkdir -p ipkg
	cd cumulus; lrelease cumulus.pro
	cp -u control_it ipkg_lang_build/CONTROL/control
	cp -u help/it/*.html ipkg_lang_build/opt/QtPalmtop/help/it/html
	cp -u cumulus/cumulus_it.qm ipkg_lang_build/opt/QtPalmtop/i18n/it/cumulus.qm
	ipkg-build ./ipkg_lang_build ./ipkg


.PHONY : release
release:
	make all;
	make ipkg;
	make langpacks;

.PHONY : APIDoc
APIDoc:
	kdoc -n cumulus -d ./docs/API ./cumulus/*.h

qmake: cumulus/Makefile cumulus/MakefileGpsClient

.PHONY : resetdate
resetdate:
	rm -rf cumulus/cumulusapp.o

cumulus/Makefile: cumulus/cumulus.pro
	cd cumulus; qmake cumulus.pro -o Makefile

cumulus/MakefileGpsClient: cumulus/gpsClient.pro
	cd cumulus; qmake gpsClient.pro -o MakefileGpsClient
