/***********************************************************************
**
**   colorlistviewitem.h 
**
**   This file is part of Cumulus.
**
************************************************************************
**
**   Copyright (c):  2004 by Eckhard Vllm 
**
**   This file is distributed under the terms of the General Public
**   Licence. See the file COPYING for more information.
**
**   Purpose: Reimplements paintCell to allow colored style for
**            non reachable items
**
**   $Id: colorlistviewitem.h,v 1.2 2004/02/24 10:22:53 andre Exp $
**
***********************************************************************/

#include <qlistview.h>
#include <qcolor.h>

class ColorListViewItem : public QListViewItem
{
public:
    ColorListViewItem(QListView * parent,
		      QString,     
		      QString = QString::null,
		      QString = QString::null, 
		      QString = QString::null, 
		      QString = QString::null);
    virtual ~ColorListViewItem();
//    void setRed(bool red);   // controls if painted in red or not
    void setColor(QColor c); // controls the color the item is painted in.
    void resetColor();
    virtual QString key(int column, bool ascending) const;
    virtual void paintCell(QPainter * p, const QColorGroup & cg, int column, int width, int align);
private:
    //bool _red;
    QColor _color;
    bool _colorSet;
};
