# Cumulus project file for qmake or tmake
# $Id: cumulus.pro,v 1.46 2005/02/21 20:15:09 axel Exp $

TEMPLATE	= app
# CONFIG		= qt warn_on release
CONFIG		= qt warn_on
HEADERS		= \
    cumulusapp.h \
    cumulusqpeapplication.h \
    gpscon.h \
    gpsnmea.h \
    altimetermodedialog.h \
    igclogger.h \
    mapconfig.h \
    mapcontents.h \
    map.h \
    mapmatrix.h \
    mapview.h \
    mapinfobox.h \
    speed.h \
    altitude.h \
    wgspoint.h \
    waypointlistview.h \
    airfieldlistview.h \
    cucalc.h \
    wpinfowidget.h \
    configdialog.h \
    settingspagepersonal.h \
    settingspagepolar.h \
    settingspagegps.h \
    settingspagemap.h \
    settingspageairspace.h \
    settingspageunits.h \
    settingspageinformation.h \
    wpeditdialog.h \
    wpeditdialogpagegeneral.h \
    wpeditdialogpageaero.h \
    guicontrols/coordedit.h \
    degreespinbox.h \
    doublespinbox.h \
    flighttask.h \
    tasklist.h \
    tasklistview.h \
    taskdialog.h \
    cupainter.h \
    singlepoint.h \
    mapelementlist.h \
    polar.h \
    polardialog.h \
    vario.h \
    variomodedialog.h \
    waitscreen.h \
    gliderflightdialog.h \
    windstore.h \
    windmeasurementlist.h \
    windanalyser.h \
    whatsthat.h \
    gliderlist.h \
    glider.h \
    reachablelist.h \
    reachpointlistview.h \
    hwinfo.h \
    preflightdialog.h \
    preflightgliderpage.h \
    preflightmiscpage.h \
    colorlistviewitem.h \
    qtooltip.h \
    filetools.h \
    generalconfig.h \
    protocol.h \
    signalhandler.h \
    ipc.h \
    wp.h \
    listviewfilter.h \
    messagehandler.h \
    gpsstatusdialog.h
    
SOURCES		= \
    airport.cpp \
    airspace.cpp \
    altimetermodedialog.cpp \
    baseflightelement.cpp \
    basemapelement.cpp \
    cumulusapp.cpp \
    cumulusqpeapplication.cpp \
    glidersite.cpp \
    gpscon.cpp \
    gpsnmea.cpp \
    igclogger.cpp \
    isohypse.cpp \
    lineelement.cpp \
    main.cpp \
    mapcalc.cpp \
    mapconfig.cpp \
    mapcontents.cpp \
    map.cpp \
    mapmatrix.cpp \
    projectionbase.cpp \
    projectioncylindric.cpp \
    projectionlambert.cpp \
    radiopoint.cpp \
    singlepoint.cpp \
    mapelementlist.cpp \
    translationelement.cpp \
    translationlist.cpp \
    waypointcatalog.cpp \
    waypointlist.cpp \
    mapview.cpp \
    mapinfobox.cpp \
    speed.cpp \
    altitude.cpp \
    wgspoint.cpp \
    distance.cpp \
    waypointlistview.cpp \
    airfieldlistview.cpp \
    cucalc.cpp \
    wpinfowidget.cpp \
    configdialog.cpp \
    settingspagepersonal.cpp \
    settingspagepolar.cpp \
    settingspagegps.cpp \
    settingspagemap.cpp \
    settingspageairspace.cpp \
    settingspageunits.cpp \
    settingspageinformation.cpp \
    wpeditdialog.cpp \
    wpeditdialogpagegeneral.cpp \
    wpeditdialogpageaero.cpp \
    guicontrols/coordedit.cpp \
    degreespinbox.cpp \
    doublespinbox.cpp \
    flighttask.cpp \
    tasklist.cpp \
    tasklistview.cpp \
    taskdialog.cpp \
    cupainter.cpp \
    polar.cpp \
    polardialog.cpp \
    vario.cpp \
    variomodedialog.cpp \
    vector.cpp \
    waitscreen.cpp \
    gliderflightdialog.cpp \
    windstore.cpp \
    windmeasurementlist.cpp \
    windanalyser.cpp \
    whatsthat.cpp \
    kconfig.cpp \
    gliderlist.cpp \
    glider.cpp \
    reachablelist.cpp \
    reachpointlistview.cpp \
    hwinfo.cpp \
    preflightdialog.cpp \
    preflightmiscpage.cpp \
    preflightgliderpage.cpp \
    colorlistviewitem.cpp \
    qtooltip.cpp \
    filetools.cpp \
    generalconfig.cpp \
    signalhandler.cpp \
    ipc.cpp \
    listviewfilter.cpp \
    wp.cpp \
    messagehandler.cpp \
    gpsstatusdialog.cpp
    
INTERFACES	=
TARGET		= cumulus
INCLUDEPATH += ../ ./guicontrols
LIBS += -lqpe -lstdc++

TRANSLATIONS    = \
    cumulus_de.ts \
    cumulus_nl.ts \
    cumulus_it.ts \
    cumulus_sp.ts \
    cumulus_fr.ts
