/***********************************************************************
**
**   cupainter.h
**
**   This file is part of Cumulus.
**
************************************************************************
**
**   Copyright (c):  2002 by Andr Somers
**
**   This file is distributed under the terms of the General Public
**   Licence. See the file COPYING for more information.
**
**   $Id: cupainter.h,v 1.1.1.1 2002/09/22 12:06:03 heiner Exp $
**
***********************************************************************/

#ifndef CUPAINTER_H
#define CUPAINTER_H

#include <qpainter.h>
#include <qpoint.h>

/**Adds some safeguards to QPainter
  *@author Andr Somers
  */

class CuPainter : public QPainter  {
public: 
	CuPainter();
  CuPainter(QPaintDevice * device);
	~CuPainter();

  void drawLine(int x1, int y1, int x2, int y2, bool safe=false);
  void drawLine(const QPoint& point1, const QPoint& point2, bool safe=false);

protected:
  void adjustPoint(QPoint center, QPoint& adjust);  
};

#endif
