/***********************************************************************
**
**   doublespinbox.h
**
**   This file is part of Cumulus.
**
************************************************************************
**
**   Copyright (c):  2002 by Eggert Ehmke
**
**   This file is distributed under the terms of the General Public
**   Licence. See the file COPYING for more information.
**
**   $Id: doublespinbox.h,v 1.1 2003/03/24 11:05:52 andre Exp $
**
***********************************************************************/

#ifndef DOUBLESPINBOX_H
#define DOUBLESPINBOX_H

#include <qspinbox.h>

/**
  *@author Eggert Ehmke
  */

class DoubleSpinBox: public QSpinBox
{
   Q_OBJECT
public:
  DoubleSpinBox (double min, double max, double step, QWidget* parent);
  ~DoubleSpinBox(){};
  void setValue (double val);
  double value ();
protected:
  QString mapValueToText(int);
  int mapTextToValue(bool*);
private:
  double _step;
};

#endif
