/***********************************************************************
**
**   filetools.h
**
**   This file is part of Cumulus.
**
************************************************************************
**
**   Copyright (c):  2004 by Andr Somers
**
**   This file is distributed under the terms of the General Public
**   Licence. See the file COPYING for more information.
**
**   $Id: filetools.h,v 1.1 2004/02/25 18:56:20 andre Exp $
**
***********************************************************************/
#include <qdatastream.h>
#include <qcstring.h>
#include <qstring.h>
#include <qpointarray.h>

/** Save a QCString to a stream with only one leading byte instead of 4. */
void ShortSave (QDataStream &, const QCString&);
/** Save a QString to a stream with only one leading byte instead of 4. */
void ShortSave (QDataStream &, const QString&);
/** Save a QPointArray to a stream in a shorter form. */
void ShortSave (QDataStream &, const QPointArray&);

/** Load a QCString from a stream with only one leading byte instead of 4. */
void ShortLoad (QDataStream &, QCString&);
/** Load a QString from a stream with only one leading byte instead of 4. */
void ShortLoad (QDataStream &, QString&);
/** Load a QPointArray in a short form from a stream. */
void ShortLoad (QDataStream &, QPointArray&);

