/***********************************************************************
**
**   gliderflightdialog.h
**
**   This file is part of Cumulus.
**
************************************************************************
**
**   Copyright (c):  2002 by Eggert Ehmke
**
**   This file is distributed under the terms of the General Public
**   Licence. See the file COPYING for more information.
**
**   $Id: gliderflightdialog.h,v 1.4 2004/01/22 22:52:31 eggert Exp $
**
***********************************************************************/

#ifndef GLIDERFLIGHTDIALOG_H
#define GLIDERFLIGHTDIALOG_H

#include <qdialog.h>
#include <qpushbutton.h>
#include <qtimer.h>
#include "doublespinbox.h"
#include "speed.h"

/**
  *@author Eggert Ehmke
  */

class GliderFlightDialog : public QDialog
{
   Q_OBJECT
public: 
	GliderFlightDialog(QWidget *parent);
	~GliderFlightDialog();
  void load ();
protected:
  void accept ();
private:
  void save ();
  
  DoubleSpinBox* spinMcCready;
  DoubleSpinBox* spinWater;
  DoubleSpinBox* spinBugs;
  QPushButton* buttonDump;
  QPushButton* buttonOK;
  QPushButton* buttonCancel;
  QTimer* timeout;
  int _time;
private slots:
  void slotDump();
  void setTimer();
signals:
  void settingsChanged();
};

#endif
