/***************************************************************************
                          kconfig.cpp  - Config extention
                             -------------------
    begin                : Wed Dec 11 2002
    copyright            : (C) 2002 by Andre Somers
    email                : andre@kflog.org

    $Id: kconfig.cpp,v 1.5 2004/06/24 19:41:50 axel Exp $

 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "kconfig.h"

double KConfig::readDoubleNumEntry( const QString & key, double def )
{
  QString sdef;
  sdef=QString("%1").arg(def);
  return Config::readEntry(key, sdef).toDouble();
}

void KConfig::writeEntry( const QString & key, double value)
{
  QString sval;
  sval=QString("%1").arg(value);
  Config::writeEntry(key, sval);
}

void KConfig::writeEntry( const QString & key, int value)
{
  Config::writeEntry(key, value);
}

void KConfig::writeEntry( const QString &key, const QString &value )
{
  Config::writeEntry(key, value);
}

// @AP: Wrapper method added, to avoid memory leaks
QColor KConfig::readColorEntry(const QString & key, QColor def)
{
  return readColorEntry( key, &def );
}

QColor KConfig::readColorEntry( const QString & key, QColor * def )
{
  QColor temp;
  QColor defCol;
  if (def==0) {
    defCol = Qt::black;
   }  else {
    defCol=*def;
  }

  //if (!Config::hasKey(key)) {
    return defCol;
  //}

  QString defString=QString("%1,%2,%3").arg(defCol.red()).arg(defCol.green()).arg(defCol.blue());
  QString colString=Config::readEntry(key,defString);

  QStringList sRgb=QStringList::split(",", colString, true);   //split RGB string into three parts using the comma as separator
  temp.setRgb(sRgb[0].toInt(),sRgb[1].toInt(),sRgb[2].toInt());
  return temp;
}

void KConfig::writeEntry( const QString & key, QColor value)
{
  Config::writeEntry(key , QString("%1,%2,%3").arg(value.red()).arg(value.green()).arg(value.blue()));
}

