/***************************************************************************
                          kconfig.h  - Config extention
                             -------------------
    begin                : Wed Dec 11 2002
    copyright            : (C) 2002 by Andre Somers
    email                : andre@kflog.org

    $Id: kconfig.h,v 1.4 2004/06/24 19:41:50 axel Exp $

 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef MINIKDE_KCONFIG_H
#define MINIKDE_KCONFIG_H

#include <qpe/config.h>
#include <qcolor.h>

/**
  * This class defines a couple of usefull extentions to the standard
  * configuration class. It introduces reading and writing of double and
  * of QColor values.
  */

class KConfig:public Config
{
  public:
    KConfig(const QString & name): Config( name, Config::User) {}

    double readDoubleNumEntry(const QString &key, double def=0);
    void writeEntry( const QString &key, double);
    void writeEntry( const QString &key, int);
    void writeEntry( const QString &key, const QString &value );

    // @AP: Wrapper method added, to avoid memory leaks
    QColor readColorEntry(const QString & key, QColor def);
    QColor readColorEntry(const QString & key, QColor * def=0);
    void writeEntry( const QString &key, QColor value);
};


#endif
