/***********************************************************************
**
**   preflightgliderpage.h
**
**   This file is part of Cumulus.
**
************************************************************************
**
**   Copyright (c):  2003 by Andr Somers
**
**   This file is distributed under the terms of the General Public
**   Licence. See the file COPYING for more information.
**
**   $Id: preflightgliderpage.h,v 1.3 2004/05/27 21:07:23 axel Exp $
**
***********************************************************************/

#ifndef PREFLIGHTGLIDERPAGE_H
#define PREFLIGHTGLIDERPAGE_H

#include <qwidget.h>
#include <qlineedit.h>
#include <qspinbox.h>
#include "gliderlist.h"


/**This widget represents the glider-selection page for the PreFlight dialog.
  *@author Andr Somers
  */

class PreFlightGliderPage : public QWidget  {
   Q_OBJECT
public: 
  PreFlightGliderPage(QWidget *parent=0, const char *name=0);
  ~PreFlightGliderPage();
  void save();

protected:
  void showEvent(QShowEvent *);

private:
  GliderList * list;
  QLineEdit * edtCoPilot;
  QSpinBox * spinLoad;
  QSpinBox * spinWater;
  Glider * lastGlider;

  void getCurrent();

private slots:
  void slot_gliderChanged();  
};

#endif
