/***********************************************************************
**
**   qtooltip.h
**
**   This file is part of Cumulus.
**
************************************************************************
**
**   Copyright (c):  2004 by Eggert Ehmke
**
**   This file is distributed under the terms of the General Public
**   Licence. See the file COPYING for more information.
**
**   $Id: qtooltip.h,v 1.2 2004/04/26 21:25:39 axel Exp $
**
***********************************************************************/

/******
 *
 * rob's QToolTip class
 *
 * Apparently Sharp concluded that ToolTips were not useful on the Zaurus and
 * left them out of their Qtopia. Unfortunately, QWhatsThis uses the
 * QToolTips::palette(), that function returns all 0's, and that means that
 * QWhatsThis windows come up with black background and black foreground. By
 * re-implementing this class, QWhatsThis calls this QToolTip::palette(), and
 * gets a useful result.
 *
 * rob miller October, 2003
 *
 *****/

#ifndef QTOOLTIP_H
#define QTOOLTIP_H

#include <qpalette.h>

/**
  *@author Eggert Ehmke
  */

class QToolTip {
public: 
	 QToolTip(){};
	 ~QToolTip(){};
  static QPalette palette();
};

#endif
