/***********************************************************************
**
**   settingspageairspace.h
**
**   This file is part of Cumulus.
**
************************************************************************
**
**   Copyright (c):  2002 by Eggert Ehmke
**
**   This file is distributed under the terms of the General Public
**   Licence. See the file COPYING for more information.
**
**   $Id: settingspageairspace.h,v 1.7 2004/03/13 23:02:09 andre Exp $
**
***********************************************************************/

#ifndef SETTINGSPAGEAIRSPACE_H
#define SETTINGSPAGEAIRSPACE_H

#include <qwidget.h>
#include <qspinbox.h>
#include <qcheckbox.h>
#include <qlistview.h>
#include "altitude.h"

/**
  *@author Eggert Ehmke
  */

class SettingsPageAirspace : public QWidget  {
   Q_OBJECT

public:

   SettingsPageAirspace(QWidget *parent=0, const char *name=0);
   ~SettingsPageAirspace();
public slots: // Public slots
  /** Called to initiate saving to the configurationfile. */
  void slot_save();
  /** Called to initiate loading of the configurationfile */
  void slot_load();

protected:

  /** saves current altitude unit during construction of object */
  Altitude::altitude altUnit;

  QSpinBox* comboHoriWarnDist;
  QSpinBox* comboHoriWarnDistVC;
  QSpinBox* comboAboveWarnDist;
  QSpinBox* comboAboveWarnDistVC;
  QSpinBox* comboBelowWarnDist;
  QSpinBox* comboBelowWarnDistVC;

  QListView* lvLoadOptions;
  QCheckListItem* drawAirspaceA;
  QCheckListItem* drawAirspaceB;
  QCheckListItem* drawAirspaceC;
  QCheckListItem* drawControlC;
  QCheckListItem* drawAirspaceD;
  QCheckListItem* drawControlD;
  QCheckListItem* drawAirspaceElow;
  QCheckListItem* drawAirspaceEhigh;
  QCheckListItem* drawAirspaceF;
  QCheckListItem* drawRestricted;
  QCheckListItem* drawDanger;
  QCheckListItem* drawLowFlight;
  QCheckListItem* drawTMZ;

  QCheckBox*      enableWarning;
};

#endif
