/***********************************************************************
**
**   settingspagegps.h
**
**   This file is part of Cumulus.
**
************************************************************************
**
**   Copyright (c):  2002 by Andr Somers
**
**   This file is distributed under the terms of the General Public
**   Licence. See the file COPYING for more information.
**
**   $Id: settingspagegps.h,v 1.9 2004/07/02 20:15:39 axel Exp $
**
***********************************************************************/

#ifndef SETTINGSPAGEGPS_H
#define SETTINGSPAGEGPS_H

#include <qwidget.h>
#include <qcombobox.h>
#include <qpushbutton.h>
#include <qcheckbox.h>

/**This class represents the GPS settings page
  *@author Heiner Lamprecht
  */

class SettingsPageGPS : public QWidget
{
   Q_OBJECT
public: 
	SettingsPageGPS(QWidget *parent=0, const char *name=0);
	~SettingsPageGPS();

  QComboBox* GpsDev;
  QComboBox* GpsSpeed;
  QComboBox* GpsAltitude;
  QCheckBox* checkSoftStart;
  QCheckBox* checkHardStart;
  QCheckBox* checkSyncSystemClock;
  QPushButton* buttonReset;

public slots: // Public slots
  /** Called to initiate saving to the configurationfile. */
  void slot_save();
  /** Called to initiate loading of the configurationfile */
  void slot_load();
};

#endif
