/***********************************************************************
**
**   settingspageinformation.h
**
**   This file is part of Cumulus.
**
************************************************************************
**
**   Copyright (c):  2003 by Axel Pauli
**
**   This file is distributed under the terms of the General Public
**   Licence. See the file COPYING for more information.
**
**   $Id: settingspageinformation.h,v 1.3 2004/02/19 00:18:05 eckhard Exp $
**
***********************************************************************/

#ifndef  SettingsPageInformation_H
#define  SettingsPageInformation_H

#include <qwidget.h>
#include <qspinbox.h>
#include <qlistview.h>
#include <qcheckbox.h>
#include <qpushbutton.h>

/**The class manages the pop up window stay times and the alarm sound.

  *@author Axel.Pauli@onlinehome.de
  */

class SettingsPageInformation : public QWidget {
  Q_OBJECT
public:

  SettingsPageInformation(QWidget *parent=0, const char *name=0);
  
  virtual ~SettingsPageInformation();
  
public slots: // Public slots

  /** Called to initiate saving to the configurationfile. */
  void slot_save();

  /** Called to initiate loading of the configurationfile */
  void slot_load();

private slots:

  /** Called to restore the factory settings */
  void slot_setFactoryDefault();

private:

  QSpinBox*    spinAirfield;
  QSpinBox*    spinAirspace;
  QSpinBox*    spinWaypoint;
  QSpinBox*    spinWarning;
  QSpinBox*    spinInfo;
  QCheckBox*   checkAlarmSound;
  QCheckBox*   calculateNearestSites;
  QPushButton* buttonReset;

  bool loadConfig; // control loading of config data

};

#endif // SettingsPageInformation_h
