/***********************************************************************
**
**   settingspagepersonal.h
**
**   This file is part of Cumulus.
**
************************************************************************
**
**   Copyright (c):  2002 by Andr Somers
**
**   This file is distributed under the terms of the General Public
**   Licence. See the file COPYING for more information.
**
**   $Id: settingspagepersonal.h,v 1.6 2004/02/01 21:44:19 axel Exp $
**
***********************************************************************/

#ifndef SETTINGSPAGEPERSONAL_H
#define SETTINGSPAGEPERSONAL_H

#include <qwidget.h>
#include <qlineedit.h>
#include <qspinbox.h> 
#include "guicontrols/coordedit.h"
#include "altitude.h"

/**This class represents the personal settings page
  *@author Heiner Lamprecht
  */

class SettingsPagePersonal : public QWidget  {
   Q_OBJECT
public: 
	SettingsPagePersonal(QWidget *parent=0, const char *name=0);
	~SettingsPagePersonal();

protected:
  QLineEdit * edtName;
  QLineEdit * edtBirth;

  LatEdit * edtHomeLat;
  LongEdit * edtHomeLong;

  QSpinBox* edtMinimalArrival;

  /** saves altitude unit set during construction of object */
  Altitude::altitude altUnit;

public slots: // Public slots
  /** called to initiate saving to the configurationfile */
  void slot_save();
public slots: // Public slots
  /** Called to initiate loading of the configurationfile. */
  void slot_load();

 private:
 bool loadConfig; // control loading of config data
};

#endif
