/***********************************************************************
**
**   waypointcatalog.h
**
**   This file is part of KFLog 2 and was modified for Cumulus.
**
************************************************************************
**
**   Copyright (c):  2001 by Harald Maier
**          modified 2002 by Andre Somers
**
**   This file is distributed under the terms of the General Public
**   Licence. See the file COPYING for more information.
**
**   $Id: waypointcatalog.h,v 1.2 2004/05/17 21:42:17 eckhard Exp $
**
***********************************************************************/

#ifndef WAYPOINTCATALOG_H
#define WAYPOINTCATALOG_H

#define KFLOG_FILE_MAGIC 0x404b464c
#define FILE_TYPE_WAYPOINTS 0x50
#define FILE_FORMAT_ID 100
#define FILE_FORMAT_ID_2 101


#include "waypointlist.h"
#include "wp.h"
#include "qlist.h"

/**
  *@author Harald Maier
  */

class WaypointCatalog {
public: 
	WaypointCatalog();
	~WaypointCatalog();
  /** No descriptions */
  bool read(QString &catalog);
  /** No descriptions */
  bool write();

  /** filter for display/import */
  bool showAll;
  bool showAirports;
  bool showGliderSites;
  bool showOtherSites;
  bool showObstacle;
  bool showLandmark;
  bool showOutlanding;
  bool showStation;

  int areaLat1;
  int areaLat2;
  int areaLong1;
  int areaLong2;
  int radiusLat;
  int radiusLong;

  double radiusSize;

public: // Public attributes
  /**  */
  QList<wayPoint> * wpList;
  QString path;
  bool modified;
  /**  */
  bool onDisc;
private: // Private attributes
};

#endif
