/***********************************************************************
**
**   wp.cpp
**
**   This file is part of cumulus.
**
************************************************************************
**
**   Copyright (c):  2004 Axel Pauli axel@kflog.org
**
**   This file is distributed under the terms of the General Public
**   Licence. See the file COPYING for more information.
**
**   $Id: wp.cpp,v 1.2 2004/07/16 17:06:55 andre Exp $
**
***********************************************************************/

#include "wp.h"

wayPoint::wayPoint()
{
  name = "";
  description = "";
  comment = "";
  icao = "";
  sector1 = 0;
  sector2 = 0;
  sectorFAI = 0;
  angle = 0.;
  type = 0;
  distance = 0.;
  surface = 0;
  runway = 0;
  length = 0;
  elevation = 0;
  frequency = 0.;
  isLandable = false;
  importance = 0;
  origP.setPos(0,0);
  projP.setX(0); projP.setY(0);
}

wayPoint::wayPoint(const wayPoint& inst)
{
  name = inst.name;
  origP = inst.origP;
  projP = inst.projP;
  sector1 = inst.sector1;
  sector2 = inst.sector2;
  sectorFAI = inst.sectorFAI;
  angle = inst.angle;
  type = inst.type;
  distance = inst.distance;
  description = inst.description;
  icao = inst.icao;
  comment = inst.comment;
  surface = inst.surface;
  runway = inst.runway;
  length = inst.length;
  elevation = inst.elevation;
  frequency = inst.frequency;
  isLandable = inst.isLandable;
  importance = inst.importance;
}

wayPoint::~wayPoint()
{
}
