/***********************************************************************
**
**   wpeditdialogpageaero.h
**
**   This file is part of Cumulus.
**
************************************************************************
**
**   Copyright (c):  2002 by Andr Somers
**
**   This file is distributed under the terms of the General Public
**   Licence. See the file COPYING for more information.
**
**   $Id: wpeditdialogpageaero.h,v 1.1.1.1 2002/09/22 12:06:03 heiner Exp $
**
***********************************************************************/

#ifndef WPEDITDIALOGPAGEAERO_H
#define WPEDITDIALOGPAGEAERO_H

#include <qwidget.h>
#include <qlineedit.h>
#include <qcombobox.h>
#include <qcheckbox.h>
#include "degreespinbox.h"
#include "wp.h"

/**Provides the WPEditDialog page with aeronautical information
  *@author Andr Somers
  */

class WPEditDialogPageAero : public QWidget  {
   Q_OBJECT
public: 
	WPEditDialogPageAero(QWidget *parent=0, const char *name=0);
	~WPEditDialogPageAero();
protected:
  QLineEdit * edtICAO;
  QLineEdit * edtFrequency;
  DegreeSpinBox * edtRunway;
  QLineEdit * edtLength;
  QCheckBox * chkLandable;
  QComboBox * cmbSurface;
public slots: // Public slots
  /** Called if the data needs to be saved. */
  void slot_save(wayPoint * wp);
  /** Called if the page needs to load data from the waypoint */
  void slot_load(wayPoint * wp);

private:
  int getSurface();
  void setSurface(int s);
};

#endif
