/***********************************************************************
**
**   wpeditdialogpagegeneral.h
**
**   This file is part of Cumulus.
**
************************************************************************
**
**   Copyright (c):  2002 by Andr Somers
**
**   This file is distributed under the terms of the General Public
**   Licence. See the file COPYING for more information.
**
**   $Id: wpeditdialogpagegeneral.h,v 1.1.1.1 2002/09/22 12:06:03 heiner Exp $
**
***********************************************************************/

#ifndef WPEDITDIALOGPAGEGENERAL_H
#define WPEDITDIALOGPAGEGENERAL_H

#include <qwidget.h>
#include <qlineedit.h>
#include <qcombobox.h>
#include "guicontrols/coordedit.h"
#include "wp.h"

/**This is the general page for the Waypoint edit dialog
  *@author Andr Somers
  */

class WPEditDialogPageGeneral : public QWidget  {
   Q_OBJECT
public: 
	WPEditDialogPageGeneral(QWidget *parent=0, const char *name=0);
	~WPEditDialogPageGeneral();

public slots: // Public slots
  /** called if data needs to be saved */
  void slot_save(wayPoint * wp);
  /** called if data needs to be loaded */
  void slot_load(wayPoint * wp);
  
protected: // Protected attributes
  QLineEdit * edtName;
  QLineEdit * edtDescription;

  LatEdit * edtLat;
  LongEdit * edtLong;
  QLineEdit * edtElev;

  QComboBox * cmbType;
  QComboBox * cmbImportance;

private:
  int getWaypointType();
  void setWaypointType(int type);
  
};

#endif
