<?xml version='1.0' encoding='ISO-8859-1' standalone='yes'?>
<tagfile>
  <compound kind="class">
    <name>Airport</name>
    <filename>classAirport.html</filename>
    <base>RadioPoint</base>
    <member kind="enumeration">
      <name>SurfaceType</name>
      <anchor>w4</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Airport</name>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;name, const QString &amp;icao, const QString &amp;abbr, BaseMapElement::objectType typeID, const WGSPoint &amp;wgsPos, const QPoint &amp;pos, unsigned int elevation, const QString &amp;frequency, bool vdf, runway *rw)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Airport</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>getFrequency</name>
      <anchor>a2</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>runway</type>
      <name>getRunway</name>
      <anchor>a3</anchor>
      <arglist>(int index=0) const</arglist>
    </member>
    <member kind="function">
      <type>unsigned int</type>
      <name>getRunwayNumber</name>
      <anchor>a4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>getInfoString</name>
      <anchor>a5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>drawMapElement</name>
      <anchor>a6</anchor>
      <arglist>(QPainter *targetP, QPainter *maskP)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AirRegion</name>
    <filename>classAirRegion.html</filename>
    <member kind="function">
      <type></type>
      <name>AirRegion</name>
      <anchor>a0</anchor>
      <arglist>(QRegion *reg, Airspace *air)</arglist>
    </member>
    <member kind="variable">
      <type>QRegion *</type>
      <name>region</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>Airspace *</type>
      <name>airspace</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Airspace</name>
    <filename>classAirspace.html</filename>
    <base>LineElement</base>
    <member kind="function">
      <type></type>
      <name>Airspace</name>
      <anchor>a0</anchor>
      <arglist>(QString n, BaseMapElement::objectType t, QPointArray pA, int upper, BaseMapElement::elevationType upperType, int lower, BaseMapElement::elevationType lowerType)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Airspace</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QRegion *</type>
      <name>drawRegion</name>
      <anchor>a2</anchor>
      <arglist>(QPainter *targetP, QPainter *maskP)</arglist>
    </member>
    <member kind="function">
      <type>unsigned int</type>
      <name>getUpperL</name>
      <anchor>a3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>unsigned int</type>
      <name>getLowerL</name>
      <anchor>a4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>BaseMapElement::elevationType</type>
      <name>getUpperT</name>
      <anchor>a5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>BaseMapElement::elevationType</type>
      <name>getLowerT</name>
      <anchor>a6</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>getInfoString</name>
      <anchor>a7</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>ConflictType</type>
      <name>conflicts</name>
      <anchor>a8</anchor>
      <arglist>(const AltitudeCollection &amp;alt, const AirspaceWarningDistance &amp;dist) const</arglist>
    </member>
    <member kind="function" static="yes">
      <type>QString</type>
      <name>getTypeName</name>
      <anchor>e0</anchor>
      <arglist>(objectType)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AirspaceWarningDistance</name>
    <filename>structAirspaceWarningDistance.html</filename>
    <member kind="variable">
      <type>Distance</type>
      <name>horClose</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>Distance</type>
      <name>horVeryClose</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>Distance</type>
      <name>verAboveClose</name>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>Distance</type>
      <name>verAboveVeryClose</name>
      <anchor>o3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>Distance</type>
      <name>verBelowClose</name>
      <anchor>o4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>Distance</type>
      <name>verBelowVeryClose</name>
      <anchor>o5</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AltimeterModeDialog</name>
    <filename>classAltimeterModeDialog.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>settingsChanged</name>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>newAltimeterMode</name>
      <anchor>l1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>AltimeterModeDialog</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>work</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>Pretext</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>int</type>
      <name>mode</name>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>load</name>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>accept</name>
      <anchor>b1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>save</name>
      <anchor>b2</anchor>
      <arglist>(int mode)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Altitude</name>
    <filename>classAltitude.html</filename>
    <member kind="function">
      <type></type>
      <name>Altitude</name>
      <anchor>a1</anchor>
      <arglist>(int meters)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Altitude</name>
      <anchor>a2</anchor>
      <arglist>(double meters)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Altitude</name>
      <anchor>a3</anchor>
      <arglist>(const Altitude &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Altitude</name>
      <anchor>a4</anchor>
      <arglist>(const Distance &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Altitude</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>getText</name>
      <anchor>a6</anchor>
      <arglist>(bool withUnit, uint precision=1) const</arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>getFL</name>
      <anchor>a7</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchor>a8</anchor>
      <arglist>(const Altitude &amp;x) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator&lt;</name>
      <anchor>a9</anchor>
      <arglist>(const Altitude &amp;x) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator&gt;</name>
      <anchor>a10</anchor>
      <arglist>(const Altitude &amp;x) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator&gt;=</name>
      <anchor>a11</anchor>
      <arglist>(const Altitude &amp;x) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator&lt;=</name>
      <anchor>a12</anchor>
      <arglist>(const Altitude &amp;x) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator!=</name>
      <anchor>a13</anchor>
      <arglist>(const Altitude &amp;x) const</arglist>
    </member>
    <member kind="function">
      <type>Altitude</type>
      <name>operator-</name>
      <anchor>a14</anchor>
      <arglist>(const Distance &amp;op) const</arglist>
    </member>
    <member kind="function">
      <type>Altitude</type>
      <name>operator+</name>
      <anchor>a15</anchor>
      <arglist>(const Distance &amp;op) const</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>setUnit</name>
      <anchor>e0</anchor>
      <arglist>(altitude unit)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>const altitude</type>
      <name>getUnit</name>
      <anchor>e1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>QString</type>
      <name>getText</name>
      <anchor>e2</anchor>
      <arglist>(double meter, bool withUnit, int precision=1)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>double</type>
      <name>convertToMeters</name>
      <anchor>e3</anchor>
      <arglist>(double dist)</arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>altitude</type>
      <name>_altitudeUnit</name>
      <anchor>t0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AltitudeCollection</name>
    <filename>structAltitudeCollection.html</filename>
    <member kind="variable">
      <type>Altitude</type>
      <name>gpsAltitude</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>Altitude</type>
      <name>pressureAltitude</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>Altitude</type>
      <name>gndAltitude</name>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>Distance</type>
      <name>gndAltitudeError</name>
      <anchor>o3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>Distance</type>
      <name>gpsAltitudeError</name>
      <anchor>o4</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>BaseFlightElement</name>
    <filename>classBaseFlightElement.html</filename>
    <base>BaseMapElement</base>
    <member kind="function">
      <type></type>
      <name>BaseFlightElement</name>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;name, objectType typeID, const QString &amp;fName)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QList&lt; wayPoint &gt; &amp;</type>
      <name>getWPList</name>
      <anchor>a2</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>getFileName</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>searchPoint</name>
      <anchor>a4</anchor>
      <arglist>(const QPoint &amp;cPoint, flightPoint &amp;searchPoint)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>searchGetPrevPoint</name>
      <anchor>a5</anchor>
      <arglist>(int index, flightPoint &amp;searchPoint)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>searchGetNextPoint</name>
      <anchor>a6</anchor>
      <arglist>(int index, flightPoint &amp;searchPoint)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>searchStepNextPoint</name>
      <anchor>a7</anchor>
      <arglist>(int index, flightPoint &amp;fP, int step)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>searchStepPrevPoint</name>
      <anchor>a8</anchor>
      <arglist>(int index, flightPoint &amp;fP, int step)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>printMapElement</name>
      <anchor>a9</anchor>
      <arglist>(QPainter *printP, bool isText)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>sourceFileName</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>BaseMapElement</name>
    <filename>classBaseMapElement.html</filename>
    <member kind="enumeration">
      <name>objectType</name>
      <anchor>w70</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>elevationType</name>
      <anchor>w71</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>BaseMapElement</name>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;name, objectType typeID=NotSelected, unsigned int secID=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~BaseMapElement</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>drawMapElement</name>
      <anchor>a2</anchor>
      <arglist>(QPainter *targetP, QPainter *maskP)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>printMapElement</name>
      <anchor>a3</anchor>
      <arglist>(QPainter *printP, bool isText)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const QString &amp;</type>
      <name>getName</name>
      <anchor>a4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual objectType</type>
      <name>getTypeID</name>
      <anchor>a5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setMapSegment</name>
      <anchor>a6</anchor>
      <arglist>(const unsigned int &amp;_newVal)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const unsigned int &amp;</type>
      <name>getMapSegment</name>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>initMapElement</name>
      <anchor>e0</anchor>
      <arglist>(MapMatrix *matrix, MapConfig *config)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="pure">
      <type>virtual bool</type>
      <name>__isVisible</name>
      <anchor>b0</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>name</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>objectType</type>
      <name>typeID</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>unsigned int</type>
      <name>MapSegment</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>MapMatrix *</type>
      <name>glMapMatrix</name>
      <anchor>t0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>MapConfig *</type>
      <name>glConfig</name>
      <anchor>t1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ConfigDialog</name>
    <filename>classConfigDialog.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>save</name>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>load</name>
      <anchor>l1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>settingsChanged</name>
      <anchor>l2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>reload</name>
      <anchor>l3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ConfigDialog</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~ConfigDialog</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>accept</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>reject</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CoordEdit</name>
    <filename>classCoordEdit.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>clear</name>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CoordEdit</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>keyPressEvent</name>
      <anchor>a2</anchor>
      <arglist>(QKeyEvent *e)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>focusInEvent</name>
      <anchor>a3</anchor>
      <arglist>(QFocusEvent *e)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>showEvent</name>
      <anchor>a4</anchor>
      <arglist>(QShowEvent *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setKFLogDegree</name>
      <anchor>a5</anchor>
      <arglist>(int value, bool isLat)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>KFLogDegree</name>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCursor2NextNo</name>
      <anchor>a7</anchor>
      <arglist>(int pos)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isInputChanged</name>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mask</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>validDirection</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>initText</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>firstSet</name>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>format</name>
      <anchor>p4</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CuCalc</name>
    <filename>classCuCalc.html</filename>
    <member kind="enumeration">
      <name>flightmode</name>
      <anchor>w6</anchor>
      <arglist></arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slot_WaypointChange</name>
      <anchor>i0</anchor>
      <arglist>(wayPoint *)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slot_WaypointDelete</name>
      <anchor>i1</anchor>
      <arglist>(wayPoint *)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slot_Position</name>
      <anchor>i2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slot_Speed</name>
      <anchor>i3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slot_Altitude</name>
      <anchor>i4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slot_changePosition</name>
      <anchor>i5</anchor>
      <arglist>(int direction)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slot_Heading</name>
      <anchor>i6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slot_changePositionN</name>
      <anchor>i7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slot_changePositionS</name>
      <anchor>i8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slot_changePositionE</name>
      <anchor>i9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slot_changePositionW</name>
      <anchor>i10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slot_changePositionHome</name>
      <anchor>i11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slot_changePositionWp</name>
      <anchor>i12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slot_Mc</name>
      <anchor>i13</anchor>
      <arglist>(const Speed &amp;)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slot_McUp</name>
      <anchor>i14</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slot_McDown</name>
      <anchor>i15</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slot_Variometer</name>
      <anchor>i16</anchor>
      <arglist>(const Speed &amp;)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slot_settingschanged</name>
      <anchor>i17</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slot_newFix</name>
      <anchor>i18</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slot_GpsStatus</name>
      <anchor>i19</anchor>
      <arglist>(GPSNMEA::connectedStatus)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>setGlider</name>
      <anchor>i20</anchor>
      <arglist>(Glider *_newVal)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>_slot_flightModeChanged</name>
      <anchor>i21</anchor>
      <arglist>(CuCalc::flightmode)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slot_Wind</name>
      <anchor>i22</anchor>
      <arglist>(Vector &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>newWaypoint</name>
      <anchor>l0</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>newDistance</name>
      <anchor>l1</anchor>
      <arglist>(const Distance &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>newBearing</name>
      <anchor>l2</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>newRelBearing</name>
      <anchor>l3</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>newETA</name>
      <anchor>l4</anchor>
      <arglist>(const QTime &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>newAltitude</name>
      <anchor>l5</anchor>
      <arglist>(const Altitude &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>newSpeed</name>
      <anchor>l6</anchor>
      <arglist>(const Speed &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>newAirspeed</name>
      <anchor>l7</anchor>
      <arglist>(const Speed &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>newHeading</name>
      <anchor>l8</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>newPosition</name>
      <anchor>l9</anchor>
      <arglist>(const QPoint &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>bestSpeed</name>
      <anchor>l10</anchor>
      <arglist>(const Speed &amp;speed)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>glidePath</name>
      <anchor>l11</anchor>
      <arglist>(const Altitude &amp;above)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>newMc</name>
      <anchor>l12</anchor>
      <arglist>(const Speed &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>newVario</name>
      <anchor>l13</anchor>
      <arglist>(const Speed &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>newWind</name>
      <anchor>l14</anchor>
      <arglist>(Vector &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>flightModeChanged</name>
      <anchor>l15</anchor>
      <arglist>(CuCalc::flightmode)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>flightModeChanged</name>
      <anchor>l16</anchor>
      <arglist>(CuCalc::flightmode, int marker)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>newSample</name>
      <anchor>l17</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CuCalc</name>
      <anchor>a0</anchor>
      <arglist>(QObject *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~CuCalc</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const QTime &amp;</type>
      <name>getlastETA</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const int &amp;</type>
      <name>getlastBearing</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const Distance &amp;</type>
      <name>getlastDistance</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const wayPoint *</type>
      <name>getselectedWp</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const Altitude &amp;</type>
      <name>getlastAltitude</name>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const Altitude &amp;</type>
      <name>getlastAGLAltitude</name>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const Altitude &amp;</type>
      <name>getlastGNDAltitude</name>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const Altitude &amp;</type>
      <name>getAltimeterAltitude</name>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const AltitudeCollection &amp;</type>
      <name>getAltitudeCollection</name>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Speed &amp;</type>
      <name>getlastSpeed</name>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Speed &amp;</type>
      <name>getlastBestSpeed</name>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const Altitude &amp;</type>
      <name>getlastGlidePath</name>
      <anchor>a13</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const QPoint &amp;</type>
      <name>getlastPosition</name>
      <anchor>a14</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const Speed &amp;</type>
      <name>getlastMc</name>
      <anchor>a15</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const Vector &amp;</type>
      <name>getlastWind</name>
      <anchor>a16</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>getlastHeading</name>
      <anchor>a17</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPosition</name>
      <anchor>a18</anchor>
      <arglist>(const QPoint &amp;newPos)</arglist>
    </member>
    <member kind="function">
      <type>flightmode</type>
      <name>currentFlightMode</name>
      <anchor>a19</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Glider *</type>
      <name>glider</name>
      <anchor>a20</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>gliderType</name>
      <anchor>a21</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>glidePath</name>
      <anchor>a22</anchor>
      <arglist>(int aLastBearing, Distance aDistance, Altitude aElevation, Altitude &amp;arrival, Speed &amp;BestSpeed)</arglist>
    </member>
    <member kind="function">
      <type>Polar *</type>
      <name>getPolar</name>
      <anchor>a23</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>ReachableList *</type>
      <name>getReachList</name>
      <anchor>a24</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const Vario *</type>
      <name>getVario</name>
      <anchor>a25</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>newSites</name>
      <anchor>a26</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const WindAnalyser *</type>
      <name>getWindAnalyser</name>
      <anchor>a27</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>LimitedList&lt; flightsample &gt; *</type>
      <name>samplelist</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CuPainter</name>
    <filename>classCuPainter.html</filename>
    <member kind="function">
      <type></type>
      <name>CuPainter</name>
      <anchor>a1</anchor>
      <arglist>(QPaintDevice *device)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>drawLine</name>
      <anchor>a3</anchor>
      <arglist>(int x1, int y1, int x2, int y2, bool safe=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>drawLine</name>
      <anchor>a4</anchor>
      <arglist>(const QPoint &amp;point1, const QPoint &amp;point2, bool safe=false)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>adjustPoint</name>
      <anchor>b0</anchor>
      <arglist>(QPoint center, QPoint &amp;adjust)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DegreeSpinBox</name>
    <filename>classDegreeSpinBox.html</filename>
    <member kind="function">
      <type></type>
      <name>DegreeSpinBox</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QString</type>
      <name>mapValueToText</name>
      <anchor>b0</anchor>
      <arglist>(int value)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>mapTextToValue</name>
      <anchor>b1</anchor>
      <arglist>(bool *ok)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DoubleSpinBox</name>
    <filename>classDoubleSpinBox.html</filename>
    <member kind="function">
      <type></type>
      <name>DoubleSpinBox</name>
      <anchor>a0</anchor>
      <arglist>(double min, double max, double step, QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setValue</name>
      <anchor>a2</anchor>
      <arglist>(double val)</arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>value</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QString</type>
      <name>mapValueToText</name>
      <anchor>b0</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>mapTextToValue</name>
      <anchor>b1</anchor>
      <arglist>(bool *)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>flightPoint</name>
    <filename>structflightPoint.html</filename>
    <member kind="variable">
      <type>WGSPoint</type>
      <name>origP</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QPoint</type>
      <name>projP</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>height</name>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>gpsHeight</name>
      <anchor>o3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned int</type>
      <name>time</name>
      <anchor>o4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>dH</name>
      <anchor>o5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>dT</name>
      <anchor>o6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>dS</name>
      <anchor>o7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>float</type>
      <name>bearing</name>
      <anchor>o8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned int</type>
      <name>f_state</name>
      <anchor>o9</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>flightsample</name>
    <filename>classflightsample.html</filename>
    <member kind="variable">
      <type>QPoint</type>
      <name>position</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>Altitude</type>
      <name>altitude</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>Altitude</type>
      <name>GNSSAltitude</name>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>Vector</type>
      <name>vector</name>
      <anchor>o3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QTime</type>
      <name>time</name>
      <anchor>o4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>Speed</type>
      <name>airspeed</name>
      <anchor>o5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>marker</name>
      <anchor>o6</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>FlightTask</name>
    <filename>classFlightTask.html</filename>
    <base>BaseFlightElement</base>
    <member kind="enumeration">
      <name>WaypointType</name>
      <anchor>w22</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>FlightType</name>
      <anchor>w23</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>FlightTask</name>
      <anchor>a0</anchor>
      <arglist>(QString fName=QObject::tr(&quot;unknown&quot;))</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>FlightTask</name>
      <anchor>a1</anchor>
      <arglist>(QList&lt; wayPoint &gt; &amp;wpList, bool isOrig=false, QString fName=QObject::tr(&quot;unknown&quot;))</arglist>
    </member>
    <member kind="function">
      <type>QList&lt; wayPoint &gt; &amp;</type>
      <name>getWPList</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getTaskType</name>
      <anchor>a4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>getTaskTypeString</name>
      <anchor>a5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>drawMapElement</name>
      <anchor>a6</anchor>
      <arglist>(CuPainter *targetPainter, CuPainter *maskPainter)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>checkWaypoints</name>
      <anchor>a7</anchor>
      <arglist>(QList&lt; flightPoint &gt; &amp;route, const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getPlannedPoints</name>
      <anchor>a8</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>getTotalDistanceString</name>
      <anchor>a9</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>getTaskDistanceString</name>
      <anchor>a10</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>getTaskName</name>
      <anchor>a11</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTaskName</name>
      <anchor>a12</anchor>
      <arglist>(QString &amp;newName)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>getPointsString</name>
      <anchor>a13</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QRect</type>
      <name>getRect</name>
      <anchor>a14</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setWaypointList</name>
      <anchor>a15</anchor>
      <arglist>(QList&lt; wayPoint &gt; &amp;wpL)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addWaypoint</name>
      <anchor>a16</anchor>
      <arglist>(wayPoint &amp;newWP)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPlanningType</name>
      <anchor>a17</anchor>
      <arglist>(int type)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getPlanningType</name>
      <anchor>a18</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>bool</type>
      <name>isFAI</name>
      <anchor>e0</anchor>
      <arglist>(double d_wp, double d1, double d2, double d3)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>__isVisible</name>
      <anchor>b0</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>GeneralConfig</name>
    <filename>classGeneralConfig.html</filename>
    <member kind="function">
      <type></type>
      <name>GeneralConfig</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~GeneralConfig</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>save</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>load</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>AirspaceWarningDistance</type>
      <name>getAirspaceWarningDistances</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAirspaceWarningDistances</name>
      <anchor>a5</anchor>
      <arglist>(const AirspaceWarningDistance &amp;awd)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>getAirspaceWarningEnabled</name>
      <anchor>a6</anchor>
      <arglist>(BaseMapElement::objectType type) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAirspaceWarningEnabled</name>
      <anchor>a7</anchor>
      <arglist>(BaseMapElement::objectType type, bool enable=true)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>getAirspaceWarningEnabled</name>
      <anchor>a8</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAirspaceWarningEnabled</name>
      <anchor>a9</anchor>
      <arglist>(bool enable=true)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getDisclaimerVersion</name>
      <anchor>a10</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDisclaimerVersion</name>
      <anchor>a11</anchor>
      <arglist>(const int newValue)</arglist>
    </member>
    <member kind="function">
      <type>Altitude &amp;</type>
      <name>getSafetyAltitude</name>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSafetyAltitude</name>
      <anchor>a13</anchor>
      <arglist>(const Altitude &amp;alt)</arglist>
    </member>
    <member kind="function">
      <type>QString &amp;</type>
      <name>getSurname</name>
      <anchor>a14</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSurname</name>
      <anchor>a15</anchor>
      <arglist>(const QString newValue)</arglist>
    </member>
    <member kind="function">
      <type>QString &amp;</type>
      <name>getBirthday</name>
      <anchor>a16</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setBirthday</name>
      <anchor>a17</anchor>
      <arglist>(const QString newValue)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getHomeLat</name>
      <anchor>a18</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setHomeLat</name>
      <anchor>a19</anchor>
      <arglist>(const int newValue)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getHomeLon</name>
      <anchor>a20</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setHomeLon</name>
      <anchor>a21</anchor>
      <arglist>(const int newValue)</arglist>
    </member>
    <member kind="function">
      <type>wayPoint *</type>
      <name>getHomeWp</name>
      <anchor>a22</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setHomeWp</name>
      <anchor>a23</anchor>
      <arglist>(wayPoint *newValue)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>resetHomeWp</name>
      <anchor>a24</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getCenterLat</name>
      <anchor>a25</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCenterLat</name>
      <anchor>a26</anchor>
      <arglist>(const int newValue)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getCenterLon</name>
      <anchor>a27</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCenterLon</name>
      <anchor>a28</anchor>
      <arglist>(const int newValue)</arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>getMapScale</name>
      <anchor>a29</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMapScale</name>
      <anchor>a30</anchor>
      <arglist>(const double newValue)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getMapLowerLimit</name>
      <anchor>a31</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMapLowerLimit</name>
      <anchor>a32</anchor>
      <arglist>(const int newValue)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getMapUpperLimit</name>
      <anchor>a33</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMapUpperLimit</name>
      <anchor>a34</anchor>
      <arglist>(const int newValue)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getMapBorder1</name>
      <anchor>a35</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMapBorder1</name>
      <anchor>a36</anchor>
      <arglist>(const int newValue)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getMapBorder2</name>
      <anchor>a37</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMapBorder2</name>
      <anchor>a38</anchor>
      <arglist>(const int newValue)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getMapBorder3</name>
      <anchor>a39</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMapBorder3</name>
      <anchor>a40</anchor>
      <arglist>(const int newValue)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getMapSwitchScale</name>
      <anchor>a41</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMapSwitchScale</name>
      <anchor>a42</anchor>
      <arglist>(const int newValue)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>getMapDeleteAfterCompile</name>
      <anchor>a43</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMapDeleteAfterCompile</name>
      <anchor>a44</anchor>
      <arglist>(const bool newValue)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>getMapUnload</name>
      <anchor>a45</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMapUnload</name>
      <anchor>a46</anchor>
      <arglist>(const bool newValue)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getMapProjectionType</name>
      <anchor>a47</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMapProjectionType</name>
      <anchor>a48</anchor>
      <arglist>(const int newValue)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getLambertParallel1</name>
      <anchor>a49</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setLambertParallel1</name>
      <anchor>a50</anchor>
      <arglist>(const int newValue)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getLambertParallel2</name>
      <anchor>a51</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setLambertParallel2</name>
      <anchor>a52</anchor>
      <arglist>(const int newValue)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getLambertOrign</name>
      <anchor>a53</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setLambertOrign</name>
      <anchor>a54</anchor>
      <arglist>(const int newValue)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getCylinderParallel</name>
      <anchor>a55</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCylinderParallel</name>
      <anchor>a56</anchor>
      <arglist>(const int newValue)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getVarioIntegrationTime</name>
      <anchor>a57</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setVarioIntegrationTime</name>
      <anchor>a58</anchor>
      <arglist>(const int newValue)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getVarioStepWidth</name>
      <anchor>a59</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setVarioStepWidth</name>
      <anchor>a60</anchor>
      <arglist>(const int newValue)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getVarioTekAdjust</name>
      <anchor>a61</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setVarioTekAdjust</name>
      <anchor>a62</anchor>
      <arglist>(const int newValue)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>getVarioTekCompensation</name>
      <anchor>a63</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setVarioTekCompensation</name>
      <anchor>a64</anchor>
      <arglist>(const bool newValue)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getAltimeterGndMode</name>
      <anchor>a65</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAltimeterGndMode</name>
      <anchor>a66</anchor>
      <arglist>(const int newValue)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>getAltimeterToggleMode</name>
      <anchor>a67</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAltimeterToggleMode</name>
      <anchor>a68</anchor>
      <arglist>(const bool newValue)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>getLog2FileMode</name>
      <anchor>a69</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setLog2FileMode</name>
      <anchor>a70</anchor>
      <arglist>(const bool newValue)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>getSystemLogMode</name>
      <anchor>a71</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSystemLogMode</name>
      <anchor>a72</anchor>
      <arglist>(const bool newValue)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>getNearestSiteCalculatorSwitch</name>
      <anchor>a73</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setNearestSiteCalculatorSwitch</name>
      <anchor>a74</anchor>
      <arglist>(const bool newValue)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getMaxNearestSiteCalculatorSites</name>
      <anchor>a75</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMaxNearestSiteCalculatorSites</name>
      <anchor>a76</anchor>
      <arglist>(const int newValue)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getAirfieldDisplayTime</name>
      <anchor>a77</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAirfieldDisplayTime</name>
      <anchor>a78</anchor>
      <arglist>(const int newValue)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getAirspaceDisplayTime</name>
      <anchor>a79</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAirspaceDisplayTime</name>
      <anchor>a80</anchor>
      <arglist>(const int newValue)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getInfoDisplayTime</name>
      <anchor>a81</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setInfoDisplayTime</name>
      <anchor>a82</anchor>
      <arglist>(const int newValue)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getWaypointDisplayTime</name>
      <anchor>a83</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setWaypointDisplayTime</name>
      <anchor>a84</anchor>
      <arglist>(const int newValue)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getWarningDisplayTime</name>
      <anchor>a85</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setWarningDisplayTime</name>
      <anchor>a86</anchor>
      <arglist>(const int newValue)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>getAlarmSoundOn</name>
      <anchor>a87</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAlarmSoundOn</name>
      <anchor>a88</anchor>
      <arglist>(const bool newValue)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>getPopupAirspaceWarnings</name>
      <anchor>a89</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPopupAirspaceWarnings</name>
      <anchor>a90</anchor>
      <arglist>(const bool newValue)</arglist>
    </member>
    <member kind="function">
      <type>QString &amp;</type>
      <name>getGpsDevice</name>
      <anchor>a91</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setGpsDevice</name>
      <anchor>a92</anchor>
      <arglist>(const QString newValue)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getGpsSpeed</name>
      <anchor>a93</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setGpsSpeed</name>
      <anchor>a94</anchor>
      <arglist>(const int newValue)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getGpsAltitude</name>
      <anchor>a95</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setGpsAltitude</name>
      <anchor>a96</anchor>
      <arglist>(const int newValue)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>getGpsSoftStart</name>
      <anchor>a97</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setGpsSoftStart</name>
      <anchor>a98</anchor>
      <arglist>(const bool newValue)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>getGpsHardStart</name>
      <anchor>a99</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setGpsHardStart</name>
      <anchor>a100</anchor>
      <arglist>(const bool newValue)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>getGpsSyncSystemClock</name>
      <anchor>a101</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setGpsSyncSystemClock</name>
      <anchor>a102</anchor>
      <arglist>(const bool newValue)</arglist>
    </member>
    <member kind="function">
      <type>ushort</type>
      <name>getGpsIpcPort</name>
      <anchor>a103</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setGpsIpcPort</name>
      <anchor>a104</anchor>
      <arglist>(const ushort newValue)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>getGpsStartClientOption</name>
      <anchor>a105</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setGpsStartClientOption</name>
      <anchor>a106</anchor>
      <arglist>(const bool newValue)</arglist>
    </member>
    <member kind="function">
      <type>QString &amp;</type>
      <name>getGpsClientPath</name>
      <anchor>a107</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setGpsClientPath</name>
      <anchor>a108</anchor>
      <arglist>(const QString newValue)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getGpsLastFixLat</name>
      <anchor>a109</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setGpsLastFixLat</name>
      <anchor>a110</anchor>
      <arglist>(const int newValue)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getGpsLastFixLon</name>
      <anchor>a111</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setGpsLastFixLon</name>
      <anchor>a112</anchor>
      <arglist>(const int newValue)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getGpsLastFixAlt</name>
      <anchor>a113</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setGpsLastFixAlt</name>
      <anchor>a114</anchor>
      <arglist>(const int newValue)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getGpsLastFixClk</name>
      <anchor>a115</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setGpsLastFixClk</name>
      <anchor>a116</anchor>
      <arglist>(const int newValue)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getWindMinSatCount</name>
      <anchor>a117</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMinSatCount</name>
      <anchor>a118</anchor>
      <arglist>(const int newValue)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getWindAltitudeRange</name>
      <anchor>a119</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setWindAltitudeRange</name>
      <anchor>a120</anchor>
      <arglist>(const int newValue)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getWindTimeRange</name>
      <anchor>a121</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setWindTimeRange</name>
      <anchor>a122</anchor>
      <arglist>(const int newValue)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getManualNavModeAltitude</name>
      <anchor>a123</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setManualNavModeAltitude</name>
      <anchor>a124</anchor>
      <arglist>(const int newValue)</arglist>
    </member>
    <member kind="function">
      <type>QString &amp;</type>
      <name>getWaypointFile</name>
      <anchor>a125</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setWaypointFile</name>
      <anchor>a126</anchor>
      <arglist>(const QString newValue)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getUnitAlt</name>
      <anchor>a127</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setUnitAlt</name>
      <anchor>a128</anchor>
      <arglist>(const int newValue)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getUnitDist</name>
      <anchor>a129</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setUnitDist</name>
      <anchor>a130</anchor>
      <arglist>(const int newValue)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getUnitSpeed</name>
      <anchor>a131</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setUnitSpeed</name>
      <anchor>a132</anchor>
      <arglist>(const int newValue)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getUnitVario</name>
      <anchor>a133</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setUnitVario</name>
      <anchor>a134</anchor>
      <arglist>(const int newValue)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getUnitWind</name>
      <anchor>a135</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setUnitWind</name>
      <anchor>a136</anchor>
      <arglist>(const int newValue)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getUnitPos</name>
      <anchor>a137</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setUnitPos</name>
      <anchor>a138</anchor>
      <arglist>(const int newValue)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>GeneralConfig *</type>
      <name>instance</name>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Glider</name>
    <filename>classGlider.html</filename>
    <member kind="function">
      <type>QString</type>
      <name>type</name>
      <anchor>a2</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setType</name>
      <anchor>a3</anchor>
      <arglist>(QString newValue)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>registration</name>
      <anchor>a4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRegistration</name>
      <anchor>a5</anchor>
      <arglist>(QString newValue)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>callsign</name>
      <anchor>a6</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCallsign</name>
      <anchor>a7</anchor>
      <arglist>(QString newValue)</arglist>
    </member>
    <member kind="function">
      <type>Glider::seat</type>
      <name>seats</name>
      <anchor>a8</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSeats</name>
      <anchor>a9</anchor>
      <arglist>(Glider::seat newValue)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>maxWater</name>
      <anchor>a10</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMaxWater</name>
      <anchor>a11</anchor>
      <arglist>(int newValue)</arglist>
    </member>
    <member kind="function">
      <type>Polar *</type>
      <name>polar</name>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPolar</name>
      <anchor>a13</anchor>
      <arglist>(Polar *newPolar)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>load</name>
      <anchor>a14</anchor>
      <arglist>(Config *config, int id)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>safe</name>
      <anchor>a15</anchor>
      <arglist>(Config *config, int id)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>lastSafeID</name>
      <anchor>a16</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setID</name>
      <anchor>a17</anchor>
      <arglist>(int newID)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>coPilot</name>
      <anchor>a18</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCoPilot</name>
      <anchor>a19</anchor>
      <arglist>(QString newValue)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>GliderFlightDialog</name>
    <filename>classGliderFlightDialog.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>settingsChanged</name>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>GliderFlightDialog</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>load</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>accept</name>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>GliderList</name>
    <filename>classGliderList.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>slot_Edited</name>
      <anchor>i0</anchor>
      <arglist>(Glider *glider)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slot_Added</name>
      <anchor>i1</anchor>
      <arglist>(Glider *glider)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slot_Deleted</name>
      <anchor>i2</anchor>
      <arglist>(Glider *glider)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>GliderList</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>Glider *</type>
      <name>getSelectedGlider</name>
      <anchor>a2</anchor>
      <arglist>(bool take=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>fillList</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>save</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>Glider *</type>
      <name>getStoredSelection</name>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>setStoredSelection</name>
      <anchor>e1</anchor>
      <arglist>(Glider *)</arglist>
    </member>
    <member kind="variable">
      <type>QList&lt; Glider &gt;</type>
      <name>Gliders</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>GliderSite</name>
    <filename>classGliderSite.html</filename>
    <base>RadioPoint</base>
    <member kind="function">
      <type></type>
      <name>GliderSite</name>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;name, const QString &amp;icao, const QString &amp;abbr, const WGSPoint &amp;wgsPos, const QPoint &amp;pos, unsigned int elevation, const char *frequency, bool winch, runway *rw)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~GliderSite</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>getFrequency</name>
      <anchor>a2</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>runway</type>
      <name>getRunway</name>
      <anchor>a3</anchor>
      <arglist>(int index=0) const</arglist>
    </member>
    <member kind="function">
      <type>unsigned int</type>
      <name>getRunwayNumber</name>
      <anchor>a4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isWinch</name>
      <anchor>a5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>getInfoString</name>
      <anchor>a6</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>drawMapElement</name>
      <anchor>a7</anchor>
      <arglist>(QPainter *targetP, QPainter *maskP)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>GPSCon</name>
    <filename>classGPSCon.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>newSentence</name>
      <anchor>l0</anchor>
      <arglist>(const QString &amp;sentence)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>gpsConnectionLost</name>
      <anchor>l1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>GPSCon</name>
      <anchor>a0</anchor>
      <arglist>(QObject *, const char *path)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>currentBautrate</name>
      <anchor>a2</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>currentDevice</name>
      <anchor>a3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getPid</name>
      <anchor>a4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>sendSentence</name>
      <anchor>a5</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>startGpsReceiving</name>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>stopGpsReceiving</name>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>GpsStatusDialog</name>
    <filename>classGpsStatusDialog.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>slot_Sentence</name>
      <anchor>i0</anchor>
      <arglist>(const QString &amp;sentence)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slot_SIV</name>
      <anchor>i1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>GpsStatusDialog</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~GpsStatusDialog</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>accept</name>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>reject</name>
      <anchor>j1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>GPSElevationAzimuthDisplay *</type>
      <name>elevAziDisplay</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>GPSSnrDisplay *</type>
      <name>snrDisplay</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QMultiLineEdit *</type>
      <name>nmeaBox</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>HwInfo</name>
    <filename>classHwInfo.html</filename>
    <member kind="function">
      <type>hwType</type>
      <name>getType</name>
      <anchor>a0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>const QString</type>
      <name>getTypeString</name>
      <anchor>a1</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getFreeMemory</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const QString</type>
      <name>getCfDevice</name>
      <anchor>a3</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>HwInfo *</type>
      <name>instance</name>
      <anchor>e0</anchor>
      <arglist>(void)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>IgcLogger</name>
    <filename>classIgcLogger.html</filename>
    <member kind="enumeration">
      <name>LogMode</name>
      <anchor>w3</anchor>
      <arglist></arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slot_MakeFixEntry</name>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotConstellation</name>
      <anchor>i1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotToggleLogging</name>
      <anchor>i2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotFlightMode</name>
      <anchor>i3</anchor>
      <arglist>(CuCalc::flightmode)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>logging</name>
      <anchor>l0</anchor>
      <arglist>(bool isLogging)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>madeEntry</name>
      <anchor>l1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>IgcLogger</name>
      <anchor>a0</anchor>
      <arglist>(QObject *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Stop</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Start</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Standby</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>CreateLogfile</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>CloseFile</name>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const bool</type>
      <name>getisLogging</name>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const bool</type>
      <name>getisStandby</name>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>IgcLogger *</type>
      <name>instance</name>
      <anchor>e0</anchor>
      <arglist>(void)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Isohypse</name>
    <filename>classIsohypse.html</filename>
    <base>LineElement</base>
    <member kind="function">
      <type></type>
      <name>Isohypse</name>
      <anchor>a0</anchor>
      <arglist>(QPointArray pA, unsigned int elev, bool isValley, unsigned int secID)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Isohypse</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QRegion *</type>
      <name>drawRegion</name>
      <anchor>a2</anchor>
      <arglist>(QPainter *targetP, QPainter *, bool really_draw, bool isolines=false)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getElevation</name>
      <anchor>a3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QRect</type>
      <name>getRect</name>
      <anchor>a4</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>isoListEntry</name>
    <filename>classisoListEntry.html</filename>
    <member kind="function">
      <type></type>
      <name>isoListEntry</name>
      <anchor>a0</anchor>
      <arglist>(QRegion *region=0, int height=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~isoListEntry</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchor>a2</anchor>
      <arglist>(const isoListEntry &amp;x)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator&gt;=</name>
      <anchor>a3</anchor>
      <arglist>(const isoListEntry &amp;x)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator&lt;=</name>
      <anchor>a4</anchor>
      <arglist>(const isoListEntry &amp;x)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator&lt;</name>
      <anchor>a5</anchor>
      <arglist>(const isoListEntry &amp;x)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator&gt;</name>
      <anchor>a6</anchor>
      <arglist>(const isoListEntry &amp;x)</arglist>
    </member>
    <member kind="variable">
      <type>QRegion *</type>
      <name>region</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>height</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KConfig</name>
    <filename>classKConfig.html</filename>
    <member kind="function">
      <type></type>
      <name>KConfig</name>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>readDoubleNumEntry</name>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;key, double def=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeEntry</name>
      <anchor>a2</anchor>
      <arglist>(const QString &amp;key, double)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeEntry</name>
      <anchor>a3</anchor>
      <arglist>(const QString &amp;key, int)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeEntry</name>
      <anchor>a4</anchor>
      <arglist>(const QString &amp;key, const QString &amp;value)</arglist>
    </member>
    <member kind="function">
      <type>QColor</type>
      <name>readColorEntry</name>
      <anchor>a5</anchor>
      <arglist>(const QString &amp;key, QColor def)</arglist>
    </member>
    <member kind="function">
      <type>QColor</type>
      <name>readColorEntry</name>
      <anchor>a6</anchor>
      <arglist>(const QString &amp;key, QColor *def=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeEntry</name>
      <anchor>a7</anchor>
      <arglist>(const QString &amp;key, QColor value)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KFLogListView</name>
    <filename>classKFLogListView.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>loadConfig</name>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KFLogListView</name>
      <anchor>a0</anchor>
      <arglist>(const char *persistendName, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KFLogListView</name>
      <anchor>a1</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>LimitedList</name>
    <filename>classLimitedList.html</filename>
    <templarg>type</templarg>
    <member kind="function">
      <type></type>
      <name>LimitedList</name>
      <anchor>a0</anchor>
      <arglist>(uint limit=10)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>add</name>
      <anchor>a2</anchor>
      <arglist>(const type *d)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setLimit</name>
      <anchor>a3</anchor>
      <arglist>(uint limit)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual uint</type>
      <name>getLeastImportantItem</name>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>LineElement</name>
    <filename>classLineElement.html</filename>
    <base>BaseMapElement</base>
    <member kind="function">
      <type></type>
      <name>LineElement</name>
      <anchor>a0</anchor>
      <arglist>(QString name, BaseMapElement::objectType t, QPointArray pA, bool isVal=false, unsigned int secID=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~LineElement</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>drawMapElement</name>
      <anchor>a2</anchor>
      <arglist>(QPainter *targetP, QPainter *maskP)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isValley</name>
      <anchor>a3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>__isVisible</name>
      <anchor>b0</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QPointArray</type>
      <name>projPointArray</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QRect</type>
      <name>bBox</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>valley</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>closed</name>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ListViewFilter</name>
    <filename>classListViewFilter.html</filename>
    <member kind="function">
      <type></type>
      <name>ListViewFilter</name>
      <anchor>a0</anchor>
      <arglist>(QListView *lv, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>reset</name>
      <anchor>a2</anchor>
      <arglist>(bool forget=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>off</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>restoreListViewItems</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Map</name>
    <filename>classMap.html</filename>
    <member kind="enumeration">
      <name>mapMode</name>
      <anchor>w3</anchor>
      <arglist></arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotNewWind</name>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotRedraw</name>
      <anchor>i1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotRedrawMap</name>
      <anchor>i2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotCenterToFlight</name>
      <anchor>i3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotCenterToTask</name>
      <anchor>i4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotCenterToWaypoint</name>
      <anchor>i5</anchor>
      <arglist>(const unsigned int id)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slot_settingschanged</name>
      <anchor>i6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotWaypointCatalogChanged</name>
      <anchor>i7</anchor>
      <arglist>(WaypointCatalog *c)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slot_position</name>
      <anchor>i8</anchor>
      <arglist>(const QPoint &amp;newPos)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotZoomOut</name>
      <anchor>i9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotZoomIn</name>
      <anchor>i10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotSetScale</name>
      <anchor>i11</anchor>
      <arglist>(const double &amp;newScale)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>changed</name>
      <anchor>l0</anchor>
      <arglist>(QSize)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>showFlightPoint</name>
      <anchor>l1</anchor>
      <arglist>(const QPoint pos, const struct flightPoint &amp;point)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>showTaskText</name>
      <anchor>l2</anchor>
      <arglist>(FlightTask *task)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>taskPlanningEnd</name>
      <anchor>l3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>showPoint</name>
      <anchor>l4</anchor>
      <arglist>(const QPoint pos)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>pointClicked</name>
      <anchor>l5</anchor>
      <arglist>(QPoint)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>waypointSelected</name>
      <anchor>l6</anchor>
      <arglist>(wayPoint *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>airspaceWarning</name>
      <anchor>l7</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>isRedrawing</name>
      <anchor>l8</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Map</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Map</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDrawing</name>
      <anchor>a2</anchor>
      <arglist>(bool isEnable)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setHeading</name>
      <anchor>a3</anchor>
      <arglist>(const int &amp;_newVal)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const int &amp;</type>
      <name>getHeading</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setBearing</name>
      <anchor>a5</anchor>
      <arglist>(const int &amp;_newVal)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const int &amp;</type>
      <name>getBearing</name>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setMode</name>
      <anchor>a7</anchor>
      <arglist>(const mapMode &amp;_newVal)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual mapMode</type>
      <name>getMode</name>
      <anchor>a8</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setShowGlider</name>
      <anchor>a9</anchor>
      <arglist>(const bool &amp;_newVal)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>sceduleRedraw</name>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>draw</name>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>quickDraw</name>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>checkAirspace</name>
      <anchor>a13</anchor>
      <arglist>(const QPoint &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>readConfig</name>
      <anchor>a14</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>Map *</type>
      <name>getInstance</name>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>QPoint</type>
      <name>preSnapPoint</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>keyReleaseEvent</name>
      <anchor>b0</anchor>
      <arglist>(QKeyEvent *event)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>paintEvent</name>
      <anchor>b1</anchor>
      <arglist>(QPaintEvent *event)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>resizeEvent</name>
      <anchor>b2</anchor>
      <arglist>(QResizeEvent *event)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>mousePressEvent</name>
      <anchor>b3</anchor>
      <arglist>(QMouseEvent *event)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>mouseReleaseEvent</name>
      <anchor>b4</anchor>
      <arglist>(QMouseEvent *event)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>heading</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>bearing</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>mapMode</type>
      <name>mode</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QPoint</type>
      <name>curPos</name>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QPixmap</type>
      <name>_cross</name>
      <anchor>p4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QPixmap</type>
      <name>_glider</name>
      <anchor>p5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>_inside</name>
      <anchor>p6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>_veryNear</name>
      <anchor>p7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>_near</name>
      <anchor>p8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>Map *</type>
      <name>instance</name>
      <anchor>t0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>MapConfig</name>
    <filename>classMapConfig.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>slotReadConfig</name>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotSetMatrixValues</name>
      <anchor>i1</anchor>
      <arglist>(int index, bool isSwitch)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>configChanged</name>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>MapConfig</name>
      <anchor>a0</anchor>
      <arglist>(QObject *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~MapConfig</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isBorder</name>
      <anchor>a2</anchor>
      <arglist>(unsigned int type)</arglist>
    </member>
    <member kind="function">
      <type>QPen</type>
      <name>getDrawPen</name>
      <anchor>a3</anchor>
      <arglist>(unsigned int typeID)</arglist>
    </member>
    <member kind="function">
      <type>QBrush</type>
      <name>getDrawBrush</name>
      <anchor>a4</anchor>
      <arglist>(unsigned int typeID)</arglist>
    </member>
    <member kind="function">
      <type>QColor</type>
      <name>getIsoColor</name>
      <anchor>a5</anchor>
      <arglist>(unsigned int heightIndex)</arglist>
    </member>
    <member kind="function">
      <type>QPixmap</type>
      <name>getPixmap</name>
      <anchor>a6</anchor>
      <arglist>(QString iconName)</arglist>
    </member>
    <member kind="function">
      <type>QPixmap</type>
      <name>getPixmapFile</name>
      <anchor>a7</anchor>
      <arglist>(QString fileName)</arglist>
    </member>
    <member kind="function">
      <type>QPixmap</type>
      <name>getPixmapRotatable</name>
      <anchor>a8</anchor>
      <arglist>(unsigned int typeID, bool isWinch)</arglist>
    </member>
    <member kind="function">
      <type>QPixmap</type>
      <name>getPixmap</name>
      <anchor>a9</anchor>
      <arglist>(unsigned int typeID, bool isWinch=true, QColor color=black)</arglist>
    </member>
    <member kind="function">
      <type>QPixmap</type>
      <name>getPixmap</name>
      <anchor>a10</anchor>
      <arglist>(unsigned int typeID, bool isWinch, bool smallIcon)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>getPixmapName</name>
      <anchor>a11</anchor>
      <arglist>(unsigned int type, bool isWinch=true, bool rotatable=false, QColor color=black)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>useSmallIcons</name>
      <anchor>a12</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>getdrawBearing</name>
      <anchor>a13</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>getdrawIsoLines</name>
      <anchor>a14</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>getDeleteMapfileAfterCompile</name>
      <anchor>a15</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>getUnloadUnneededMap</name>
      <anchor>a16</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>getLoadIsolines</name>
      <anchor>a17</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>getShowIsolineBorders</name>
      <anchor>a18</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>getShowWpLabels</name>
      <anchor>a19</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setShowWpLabels</name>
      <anchor>a20</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>getShowWpLabelsExtraInfo</name>
      <anchor>a21</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setShowWpLabelsExtraInfo</name>
      <anchor>a22</anchor>
      <arglist>(bool newvalue)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>getLoadRoads</name>
      <anchor>a23</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>getLoadHighways</name>
      <anchor>a24</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>getLoadRailroads</name>
      <anchor>a25</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>getLoadCities</name>
      <anchor>a26</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>getLoadWaterways</name>
      <anchor>a27</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>getLoadForests</name>
      <anchor>a28</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isRotatable</name>
      <anchor>a29</anchor>
      <arglist>(unsigned int typeID)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>drawBearing</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>drawIsoLines</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>bShowIsolineBorders</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>bLoadIsolines</name>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>bShowWpLabels</name>
      <anchor>p4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>bShowWpLabelsExtraInfo</name>
      <anchor>p5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>bLoadRoads</name>
      <anchor>p6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>bLoadHighways</name>
      <anchor>p7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>bLoadRailroads</name>
      <anchor>p8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>bLoadCities</name>
      <anchor>p9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>bLoadWaterways</name>
      <anchor>p10</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>bLoadForests</name>
      <anchor>p11</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>bDeleteAfterMapCompile</name>
      <anchor>p12</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>bUnloadUnneededMap</name>
      <anchor>p13</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>MapContents</name>
    <filename>classMapContents.html</filename>
    <member kind="enumeration">
      <name>MapContentsListID</name>
      <anchor>w24</anchor>
      <arglist></arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotReloadMapData</name>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>loadingMessage</name>
      <anchor>l0</anchor>
      <arglist>(const QString &amp;message)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>currentFlightChanged</name>
      <anchor>l1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>newTaskAdded</name>
      <anchor>l2</anchor>
      <arglist>(FlightTask *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>errorOnMapLoading</name>
      <anchor>l3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>activatePlanning</name>
      <anchor>l4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>loadingFile</name>
      <anchor>l5</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>progress</name>
      <anchor>l6</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>majorAction</name>
      <anchor>l7</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>mapDataReloaded</name>
      <anchor>l8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>MapContents</name>
      <anchor>a0</anchor>
      <arglist>(QObject *, WaitScreen *waitscreen)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~MapContents</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>unsigned int</type>
      <name>getListLength</name>
      <anchor>a2</anchor>
      <arglist>(int listIndex) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>proofeSection</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>BaseMapElement *</type>
      <name>getElement</name>
      <anchor>a4</anchor>
      <arglist>(int listIndex, unsigned int index)</arglist>
    </member>
    <member kind="function">
      <type>Airspace *</type>
      <name>getAirspace</name>
      <anchor>a5</anchor>
      <arglist>(unsigned int index)</arglist>
    </member>
    <member kind="function">
      <type>GliderSite *</type>
      <name>getGlidersite</name>
      <anchor>a6</anchor>
      <arglist>(unsigned int index)</arglist>
    </member>
    <member kind="function">
      <type>Airport *</type>
      <name>getAirport</name>
      <anchor>a7</anchor>
      <arglist>(unsigned int index)</arglist>
    </member>
    <member kind="function">
      <type>SinglePoint *</type>
      <name>getSinglePoint</name>
      <anchor>a8</anchor>
      <arglist>(int listIndex, unsigned int index)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>drawList</name>
      <anchor>a9</anchor>
      <arglist>(QPainter *targetPainter, QPainter *maskPainter, unsigned int listID)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>drawIsoList</name>
      <anchor>a10</anchor>
      <arglist>(QPainter *targetP, QPainter *maskP)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>printContents</name>
      <anchor>a11</anchor>
      <arglist>(QPainter *targetP, bool isText)</arglist>
    </member>
    <member kind="function">
      <type>BaseFlightElement *</type>
      <name>getFlight</name>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QList&lt; wayPoint &gt; *</type>
      <name>getWaypointList</name>
      <anchor>a13</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>searchFlightPoint</name>
      <anchor>a14</anchor>
      <arglist>(QPoint cPos, flightPoint &amp;fP)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>importFlightGearFile</name>
      <anchor>a15</anchor>
      <arglist>(QFile flightgearFile)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>importGardownFile</name>
      <anchor>a16</anchor>
      <arglist>(QFile gardownFile)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setCurrentTask</name>
      <anchor>a17</anchor>
      <arglist>(FlightTask *_newVal)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const FlightTask *</type>
      <name>getCurrentTask</name>
      <anchor>a18</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>getIsInWaypointList</name>
      <anchor>a19</anchor>
      <arglist>(const wayPoint *wp)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>AddPointToRect</name>
      <anchor>a20</anchor>
      <arglist>(QRect &amp;rect, const QPoint &amp;point)</arglist>
    </member>
    <member kind="function">
      <type>QSortedList&lt; isoListEntry &gt; *</type>
      <name>getIsohypseRegions</name>
      <anchor>a21</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>findElevation</name>
      <anchor>a22</anchor>
      <arglist>(const QPoint &amp;coord, Distance *errorDist=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>unloadMaps</name>
      <anchor>a23</anchor>
      <arglist>(unsigned int=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>unloadMapObjects</name>
      <anchor>a24</anchor>
      <arglist>(QList&lt; LineElement &gt; *list)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>unloadMapObjects</name>
      <anchor>a25</anchor>
      <arglist>(QList&lt; SinglePoint &gt; *list)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>unloadMapObjects</name>
      <anchor>a26</anchor>
      <arglist>(QList&lt; RadioPoint &gt; *list)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>unloadMapObjects</name>
      <anchor>a27</anchor>
      <arglist>(QList&lt; QList&lt; Isohypse &gt; &gt; *list)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>int</type>
      <name>degreeToNum</name>
      <anchor>e0</anchor>
      <arglist>(QString degree)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>FlightTask *</type>
      <name>currentTask</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>MapElementList</name>
    <filename>classMapElementList.html</filename>
    <member kind="function">
      <type>void</type>
      <name>append</name>
      <anchor>a2</anchor>
      <arglist>(const BaseMapElement *elem)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual int</type>
      <name>compareItems</name>
      <anchor>b0</anchor>
      <arglist>(QCollection::Item item1, QCollection::Item item2)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>MapInfoBox</name>
    <filename>classMapInfoBox.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>mousePress</name>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>MapInfoBox</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent, int FontDotsize=22)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setPreText</name>
      <anchor>a2</anchor>
      <arglist>(const QString _newVal)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const QString &amp;</type>
      <name>getPreText</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setValue</name>
      <anchor>a4</anchor>
      <arglist>(const QString _newVal)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const QString &amp;</type>
      <name>getValue</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>event</name>
      <anchor>b0</anchor>
      <arglist>(QEvent *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>eventFilter</name>
      <anchor>b1</anchor>
      <arglist>(QObject *, QEvent *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>MapMatrix</name>
    <filename>classMapMatrix.html</filename>
    <member kind="enumeration">
      <name>ScaleType</name>
      <anchor>w15</anchor>
      <arglist></arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotInitMatrix</name>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotSetScale</name>
      <anchor>i1</anchor>
      <arglist>(const double &amp;)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotCenterTo</name>
      <anchor>i2</anchor>
      <arglist>(int latitude, int longitude)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotSetNewHome</name>
      <anchor>i3</anchor>
      <arglist>(const QPoint *newHome)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>displayMatrixValues</name>
      <anchor>l0</anchor>
      <arglist>(int, bool)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>printMatrixValues</name>
      <anchor>l1</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>matrixChanged</name>
      <anchor>l2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>projectionChanged</name>
      <anchor>l3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>MapMatrix</name>
      <anchor>a0</anchor>
      <arglist>(QObject *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~MapMatrix</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QPoint</type>
      <name>wgsToMap</name>
      <anchor>a2</anchor>
      <arglist>(const QPoint &amp;point) const</arglist>
    </member>
    <member kind="function">
      <type>QPoint</type>
      <name>wgsToMap</name>
      <anchor>a3</anchor>
      <arglist>(int lat, int lon) const</arglist>
    </member>
    <member kind="function">
      <type>QRect</type>
      <name>wgsToMap</name>
      <anchor>a4</anchor>
      <arglist>(const QRect &amp;rect) const</arglist>
    </member>
    <member kind="function">
      <type>QPointArray</type>
      <name>map</name>
      <anchor>a5</anchor>
      <arglist>(const QPointArray &amp;pArray) const</arglist>
    </member>
    <member kind="function">
      <type>QPoint</type>
      <name>map</name>
      <anchor>a6</anchor>
      <arglist>(const QPoint &amp;point) const</arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>map</name>
      <anchor>a7</anchor>
      <arglist>(double bearing) const</arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>getScale</name>
      <anchor>a8</anchor>
      <arglist>(unsigned int type=MapMatrix::CurrentScale)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getScaleRatio</name>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QRect</type>
      <name>getMapBorder</name>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QRect</type>
      <name>getViewBorder</name>
      <anchor>a11</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QRect</type>
      <name>getMapBorder</name>
      <anchor>a12</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>createMatrix</name>
      <anchor>a13</anchor>
      <arglist>(const QSize &amp;newSize)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isVisible</name>
      <anchor>a14</anchor>
      <arglist>(const QPoint &amp;pos) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isVisible</name>
      <anchor>a15</anchor>
      <arglist>(const QRect &amp;itemBorder, int typeID) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>centerToPoint</name>
      <anchor>a16</anchor>
      <arglist>(const QPoint &amp;)</arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>centerToRect</name>
      <anchor>a17</anchor>
      <arglist>(const QRect &amp;, const QSize &amp;=QSize(0, 0))</arglist>
    </member>
    <member kind="function">
      <type>QPoint</type>
      <name>mapToWgs</name>
      <anchor>a18</anchor>
      <arglist>(const QPoint &amp;pos) const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getScaleRange</name>
      <anchor>a19</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isSwitchScale</name>
      <anchor>a20</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isSwitchScale2</name>
      <anchor>a21</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QPoint</type>
      <name>getMapCenter</name>
      <anchor>a22</anchor>
      <arglist>(bool isPrint=false) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>centerToLatLon</name>
      <anchor>a23</anchor>
      <arglist>(const QPoint &amp;center)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>centerToLatLon</name>
      <anchor>a24</anchor>
      <arglist>(int latitude, int longitude)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeMatrixOptions</name>
      <anchor>a25</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>ensureVisible</name>
      <anchor>a26</anchor>
      <arglist>(const QPoint &amp;point)</arglist>
    </member>
    <member kind="function">
      <type>unsigned int</type>
      <name>currentDrawScale</name>
      <anchor>a27</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QPoint</type>
      <name>getHomeCoord</name>
      <anchor>a28</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isInCenterArea</name>
      <anchor>a29</anchor>
      <arglist>(const QPoint &amp;coord)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isInCenterArea</name>
      <anchor>a30</anchor>
      <arglist>(const QRect &amp;r)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isInProjCenterArea</name>
      <anchor>a31</anchor>
      <arglist>(const QRect &amp;r)</arglist>
    </member>
    <member kind="function">
      <type>ProjectionBase *</type>
      <name>getProjection</name>
      <anchor>a32</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>MultiLayout</name>
    <filename>classMultiLayout.html</filename>
    <member kind="function">
      <type></type>
      <name>MultiLayout</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>MultiLayout</name>
      <anchor>a1</anchor>
      <arglist>(QLayout *parent)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~MultiLayout</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addItem</name>
      <anchor>a3</anchor>
      <arglist>(QLayoutItem *item)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>addItemExt</name>
      <anchor>a4</anchor>
      <arglist>(QLayoutItem *item)</arglist>
    </member>
    <member kind="function">
      <type>QSize</type>
      <name>sizeHint</name>
      <anchor>a5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QSize</type>
      <name>minimumSize</name>
      <anchor>a6</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QLayoutIterator</type>
      <name>iterator</name>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setGeometry</name>
      <anchor>a8</anchor>
      <arglist>(const QRect &amp;rect)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>activate</name>
      <anchor>a9</anchor>
      <arglist>(uint)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>current</name>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Polar</name>
    <filename>classPolar.html</filename>
    <member kind="function">
      <type></type>
      <name>Polar</name>
      <anchor>a0</anchor>
      <arglist>(QObject *, const QString &amp;name, const Speed &amp;v1, const Speed &amp;w1, const Speed &amp;v2, const Speed &amp;w2, const Speed &amp;v3, const Speed &amp;w3, double wingload, double wingarea, double emptyWeight, double grossWeight)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Polar</name>
      <anchor>a1</anchor>
      <arglist>(const Polar &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setWater</name>
      <anchor>a3</anchor>
      <arglist>(int water, int bugs)</arglist>
    </member>
    <member kind="function">
      <type>Speed</type>
      <name>getSink</name>
      <anchor>a4</anchor>
      <arglist>(const Speed &amp;speed) const</arglist>
    </member>
    <member kind="function">
      <type>Speed</type>
      <name>bestSpeed</name>
      <anchor>a5</anchor>
      <arglist>(const Speed &amp;wind, const Speed &amp;lift, const Speed &amp;mc) const</arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>bestLD</name>
      <anchor>a6</anchor>
      <arglist>(const Speed &amp;speed, const Speed &amp;wind, const Speed &amp;lift) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>drawPolar</name>
      <anchor>a7</anchor>
      <arglist>(QWidget *view, const Speed &amp;wind, const Speed &amp;lift, const Speed &amp;mc) const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>name</name>
      <anchor>a8</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Speed</type>
      <name>v1</name>
      <anchor>a9</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Speed</type>
      <name>w1</name>
      <anchor>a10</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Speed</type>
      <name>v2</name>
      <anchor>a11</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Speed</type>
      <name>w2</name>
      <anchor>a12</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Speed</type>
      <name>v3</name>
      <anchor>a13</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Speed</type>
      <name>w3</name>
      <anchor>a14</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>emptyWeight</name>
      <anchor>a15</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>grossWeight</name>
      <anchor>a16</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setGrossWeight</name>
      <anchor>a17</anchor>
      <arglist>(double newValue)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>water</name>
      <anchor>a18</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>bugs</name>
      <anchor>a19</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>PolarDialog</name>
    <filename>classPolarDialog.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>slot_keyup</name>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slot_keydown</name>
      <anchor>i1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slot_shiftkeyup</name>
      <anchor>i2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slot_shiftkeydown</name>
      <anchor>i3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slot_keyleft</name>
      <anchor>i4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slot_keyright</name>
      <anchor>i5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slot_keyhome</name>
      <anchor>i6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PolarDialog</name>
      <anchor>a0</anchor>
      <arglist>(const Polar *, QWidget *)</arglist>
    </member>
    <member kind="variable">
      <type>QAccel *</type>
      <name>acc</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>paintEvent</name>
      <anchor>b0</anchor>
      <arglist>(QPaintEvent *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>PreFlightGliderPage</name>
    <filename>classPreFlightGliderPage.html</filename>
    <member kind="function">
      <type></type>
      <name>PreFlightGliderPage</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>save</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>showEvent</name>
      <anchor>b0</anchor>
      <arglist>(QShowEvent *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>PreFlightMiscPage</name>
    <filename>classPreFlightMiscPage.html</filename>
    <member kind="function">
      <type></type>
      <name>PreFlightMiscPage</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>save</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ProjectionBase</name>
    <filename>classProjectionBase.html</filename>
    <member kind="enumeration">
      <name>ProjectionType</name>
      <anchor>w3</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual const ProjectionType</type>
      <name>projectionType</name>
      <anchor>a2</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual double</type>
      <name>projectX</name>
      <anchor>a3</anchor>
      <arglist>(const double &amp;latitude, const double &amp;longitude)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual double</type>
      <name>projectY</name>
      <anchor>a4</anchor>
      <arglist>(const double &amp;latitude, const double &amp;longitude)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual double</type>
      <name>invertLat</name>
      <anchor>a5</anchor>
      <arglist>(const double &amp;x, const double &amp;y) const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual double</type>
      <name>invertLon</name>
      <anchor>a6</anchor>
      <arglist>(const double &amp;x, const double &amp;y) const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual double</type>
      <name>getRotationArc</name>
      <anchor>a7</anchor>
      <arglist>(const int x, const int y) const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>getTranslationX</name>
      <anchor>a8</anchor>
      <arglist>(const int width, const int x) const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>getTranslationY</name>
      <anchor>a9</anchor>
      <arglist>(const int height, const int y) const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>saveParameters</name>
      <anchor>a10</anchor>
      <arglist>(QDataStream &amp;)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>loadParameters</name>
      <anchor>a11</anchor>
      <arglist>(QDataStream &amp;)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ProjectionCylindric</name>
    <filename>classProjectionCylindric.html</filename>
    <base>ProjectionBase</base>
    <member kind="function">
      <type></type>
      <name>ProjectionCylindric</name>
      <anchor>a0</anchor>
      <arglist>(double v1=27000000.0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const ProjectionType</type>
      <name>projectionType</name>
      <anchor>a2</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual double</type>
      <name>projectX</name>
      <anchor>a3</anchor>
      <arglist>(const double &amp;, const double &amp;longitude)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual double</type>
      <name>projectY</name>
      <anchor>a4</anchor>
      <arglist>(const double &amp;latitude, const double &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual double</type>
      <name>invertLat</name>
      <anchor>a5</anchor>
      <arglist>(const double &amp;, const double &amp;y) const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual double</type>
      <name>invertLon</name>
      <anchor>a6</anchor>
      <arglist>(const double &amp;x, const double &amp;) const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual double</type>
      <name>getRotationArc</name>
      <anchor>a7</anchor>
      <arglist>(const int, const int) const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>getTranslationX</name>
      <anchor>a8</anchor>
      <arglist>(const int width, const int x) const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>getTranslationY</name>
      <anchor>a9</anchor>
      <arglist>(const int height, const int y) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>initProjection</name>
      <anchor>a10</anchor>
      <arglist>(int v1)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>saveParameters</name>
      <anchor>a11</anchor>
      <arglist>(QDataStream &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>loadParameters</name>
      <anchor>a12</anchor>
      <arglist>(QDataStream &amp;)</arglist>
    </member>
    <member kind="function">
      <type>const int</type>
      <name>getStandardParallel</name>
      <anchor>a13</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ProjectionLambert</name>
    <filename>classProjectionLambert.html</filename>
    <base>ProjectionBase</base>
    <member kind="function">
      <type></type>
      <name>ProjectionLambert</name>
      <anchor>a0</anchor>
      <arglist>(int v1=32400000, int v2=30000000, int origin=0)</arglist>
    </member>
    <member kind="function">
      <type>const int</type>
      <name>getStandardParallel1</name>
      <anchor>a2</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const int</type>
      <name>getStandardParallel2</name>
      <anchor>a3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const int</type>
      <name>getOrigin</name>
      <anchor>a4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const ProjectionType</type>
      <name>projectionType</name>
      <anchor>a5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual double</type>
      <name>projectX</name>
      <anchor>a6</anchor>
      <arglist>(const double &amp;latitude, const double &amp;longitude)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual double</type>
      <name>projectY</name>
      <anchor>a7</anchor>
      <arglist>(const double &amp;latitude, const double &amp;longitude)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual double</type>
      <name>invertLat</name>
      <anchor>a8</anchor>
      <arglist>(const double &amp;x, const double &amp;y) const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual double</type>
      <name>invertLon</name>
      <anchor>a9</anchor>
      <arglist>(const double &amp;x, const double &amp;y) const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual double</type>
      <name>getRotationArc</name>
      <anchor>a10</anchor>
      <arglist>(const int x, const int y) const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>getTranslationX</name>
      <anchor>a11</anchor>
      <arglist>(const int width, const int x) const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>getTranslationY</name>
      <anchor>a12</anchor>
      <arglist>(const int height, const int y) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>initProjection</name>
      <anchor>a13</anchor>
      <arglist>(int v1, int v2, int origin)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>saveParameters</name>
      <anchor>a14</anchor>
      <arglist>(QDataStream &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>loadParameters</name>
      <anchor>a15</anchor>
      <arglist>(QDataStream &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>QToolTip</name>
    <filename>classQToolTip.html</filename>
    <member kind="function" static="yes">
      <type>QPalette</type>
      <name>palette</name>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>radioContact</name>
    <filename>structradioContact.html</filename>
    <member kind="variable">
      <type>QString</type>
      <name>frequency</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>callSign</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned int</type>
      <name>type</name>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>RadioPoint</name>
    <filename>classRadioPoint.html</filename>
    <base>SinglePoint</base>
    <member kind="function">
      <type></type>
      <name>RadioPoint</name>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;name, const QString &amp;icao, const QString &amp;gps, BaseMapElement::objectType typeID, const WGSPoint &amp;wgsP, const QPoint &amp;pos, const QString &amp;frequency, int elevation=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~RadioPoint</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>printMapElement</name>
      <anchor>a2</anchor>
      <arglist>(QPainter *printPainter, bool isText) const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>getFrequency</name>
      <anchor>a3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>getICAO</name>
      <anchor>a4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>frequency</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>icao</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ReachableList</name>
    <filename>classReachableList.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>newReachList</name>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ReachableList</name>
      <anchor>a1</anchor>
      <arglist>(QObject *parent)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>calculate</name>
      <anchor>a2</anchor>
      <arglist>(bool always)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>calculateFullList</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addItemsToList</name>
      <anchor>a4</anchor>
      <arglist>(enum MapContents::MapContentsListID item)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>show</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>compareItems</name>
      <anchor>a6</anchor>
      <arglist>(QCollection::Item i1, QCollection::Item i2)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getNumberSites</name>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>ReachablePoint *</type>
      <name>getSite</name>
      <anchor>a8</anchor>
      <arglist>(int index)</arglist>
    </member>
    <member kind="function">
      <type>QList&lt; ReachablePoint &gt; *</type>
      <name>getList</name>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getMaxNrOfSites</name>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>QColor</type>
      <name>getReachColor</name>
      <anchor>e0</anchor>
      <arglist>(QPoint position)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>reachable</type>
      <name>getReachable</name>
      <anchor>e1</anchor>
      <arglist>(QPoint position)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>int</type>
      <name>getArrivalAlt</name>
      <anchor>e2</anchor>
      <arglist>(QPoint position)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>Altitude</type>
      <name>getArrivalAltitude</name>
      <anchor>e3</anchor>
      <arglist>(QPoint position)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>Distance</type>
      <name>getDistance</name>
      <anchor>e4</anchor>
      <arglist>(QPoint position)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>int</type>
      <name>getSafetyAltititude</name>
      <anchor>e5</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>runway</name>
    <filename>classrunway.html</filename>
    <member kind="function">
      <type></type>
      <name>runway</name>
      <anchor>a0</anchor>
      <arglist>(unsigned int len, unsigned int dir, unsigned char surf, unsigned char open)</arglist>
    </member>
    <member kind="variable">
      <type>unsigned int</type>
      <name>length</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned int</type>
      <name>direction</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned int</type>
      <name>surface</name>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>isOpen</name>
      <anchor>o3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>SatInfo</name>
    <filename>structSatInfo.html</filename>
    <member kind="variable">
      <type>int</type>
      <name>fixValidity</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>fixAccuracy</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>satCount</name>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>constellation</name>
      <anchor>o3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QTime</type>
      <name>constellationTime</name>
      <anchor>o4</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SettingsPageAirspace</name>
    <filename>classSettingsPageAirspace.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>slot_save</name>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slot_load</name>
      <anchor>i1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>SettingsPageAirspace</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Altitude::altitude</type>
      <name>altUnit</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QSpinBox *</type>
      <name>comboHoriWarnDist</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QSpinBox *</type>
      <name>comboHoriWarnDistVC</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QSpinBox *</type>
      <name>comboAboveWarnDist</name>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QSpinBox *</type>
      <name>comboAboveWarnDistVC</name>
      <anchor>p4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QSpinBox *</type>
      <name>comboBelowWarnDist</name>
      <anchor>p5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QSpinBox *</type>
      <name>comboBelowWarnDistVC</name>
      <anchor>p6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QListView *</type>
      <name>lvLoadOptions</name>
      <anchor>p7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCheckListItem *</type>
      <name>drawAirspaceA</name>
      <anchor>p8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCheckListItem *</type>
      <name>drawAirspaceB</name>
      <anchor>p9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCheckListItem *</type>
      <name>drawAirspaceC</name>
      <anchor>p10</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCheckListItem *</type>
      <name>drawControlC</name>
      <anchor>p11</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCheckListItem *</type>
      <name>drawAirspaceD</name>
      <anchor>p12</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCheckListItem *</type>
      <name>drawControlD</name>
      <anchor>p13</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCheckListItem *</type>
      <name>drawAirspaceElow</name>
      <anchor>p14</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCheckListItem *</type>
      <name>drawAirspaceEhigh</name>
      <anchor>p15</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCheckListItem *</type>
      <name>drawAirspaceF</name>
      <anchor>p16</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCheckListItem *</type>
      <name>drawRestricted</name>
      <anchor>p17</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCheckListItem *</type>
      <name>drawDanger</name>
      <anchor>p18</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCheckListItem *</type>
      <name>drawLowFlight</name>
      <anchor>p19</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCheckListItem *</type>
      <name>drawTMZ</name>
      <anchor>p20</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCheckBox *</type>
      <name>enableWarning</name>
      <anchor>p21</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SettingsPageGliderList</name>
    <filename>classSettingsPageGliderList.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>slot_save</name>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slot_load</name>
      <anchor>i1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>SettingsPageGliderList</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>showEvent</name>
      <anchor>b0</anchor>
      <arglist>(QShowEvent *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SettingsPageGPS</name>
    <filename>classSettingsPageGPS.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>slot_save</name>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slot_load</name>
      <anchor>i1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>SettingsPageGPS</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="variable">
      <type>QComboBox *</type>
      <name>GpsDev</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QComboBox *</type>
      <name>GpsSpeed</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QComboBox *</type>
      <name>GpsAltitude</name>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QCheckBox *</type>
      <name>checkSoftStart</name>
      <anchor>o3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QCheckBox *</type>
      <name>checkHardStart</name>
      <anchor>o4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QCheckBox *</type>
      <name>checkSyncSystemClock</name>
      <anchor>o5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QPushButton *</type>
      <name>buttonReset</name>
      <anchor>o6</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SettingsPageInformation</name>
    <filename>classSettingsPageInformation.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>slot_save</name>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slot_load</name>
      <anchor>i1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>SettingsPageInformation</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SettingsPagePersonal</name>
    <filename>classSettingsPagePersonal.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>slot_save</name>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slot_load</name>
      <anchor>i1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>SettingsPagePersonal</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QLineEdit *</type>
      <name>edtName</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QLineEdit *</type>
      <name>edtBirth</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>LatEdit *</type>
      <name>edtHomeLat</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>LongEdit *</type>
      <name>edtHomeLong</name>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QSpinBox *</type>
      <name>edtMinimalArrival</name>
      <anchor>p4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Altitude::altitude</type>
      <name>altUnit</name>
      <anchor>p5</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SettingsPagePolar</name>
    <filename>classSettingsPagePolar.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>slot_save</name>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slot_load</name>
      <anchor>i1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotActivated</name>
      <anchor>i2</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotButtonShow</name>
      <anchor>i3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>editedGlider</name>
      <anchor>l0</anchor>
      <arglist>(Glider *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>newGlider</name>
      <anchor>l1</anchor>
      <arglist>(Glider *)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>SettingsPagePolar</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0, Glider *glider=0)</arglist>
    </member>
    <member kind="function">
      <type>Polar *</type>
      <name>getPolar</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>accept</name>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QComboBox *</type>
      <name>comboType</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>DoubleSpinBox *</type>
      <name>spinV1</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>DoubleSpinBox *</type>
      <name>spinW1</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>DoubleSpinBox *</type>
      <name>spinV2</name>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>DoubleSpinBox *</type>
      <name>spinW2</name>
      <anchor>p4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>DoubleSpinBox *</type>
      <name>spinV3</name>
      <anchor>p5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>DoubleSpinBox *</type>
      <name>spinW3</name>
      <anchor>p6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QLineEdit *</type>
      <name>edtGType</name>
      <anchor>p7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QLineEdit *</type>
      <name>edtGReg</name>
      <anchor>p8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QLineEdit *</type>
      <name>edtGCall</name>
      <anchor>p9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QPushButton *</type>
      <name>buttonShow</name>
      <anchor>p10</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QSpinBox *</type>
      <name>emptyWeight</name>
      <anchor>p11</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QSpinBox *</type>
      <name>addedLoad</name>
      <anchor>p12</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QSpinBox *</type>
      <name>spinWater</name>
      <anchor>p13</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QButtonGroup *</type>
      <name>bgSeats</name>
      <anchor>p14</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SettingsPageUnits</name>
    <filename>classSettingsPageUnits.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>slot_load</name>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slot_save</name>
      <anchor>i1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>SettingsPageUnits</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SinglePoint</name>
    <filename>classSinglePoint.html</filename>
    <base>BaseMapElement</base>
    <member kind="function">
      <type></type>
      <name>SinglePoint</name>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;name, const QString &amp;gps, BaseMapElement::objectType typeID, const WGSPoint &amp;wgsPos, const QPoint &amp;pos, unsigned int elevation=0, unsigned int secID=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~SinglePoint</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>drawMapElement</name>
      <anchor>a2</anchor>
      <arglist>(QPainter *targetP, QPainter *maskP)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QPoint</type>
      <name>getPosition</name>
      <anchor>a3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual WGSPoint</type>
      <name>getWGSPosition</name>
      <anchor>a4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>getWPName</name>
      <anchor>a5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QPoint</type>
      <name>getMapPosition</name>
      <anchor>a6</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>getInfoString</name>
      <anchor>a7</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>unsigned int</type>
      <name>getElevation</name>
      <anchor>a8</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>__isVisible</name>
      <anchor>b0</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>WGSPoint</type>
      <name>wgsPosition</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QPoint</type>
      <name>position</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>gpsName</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QPoint</type>
      <name>curPos</name>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>unsigned int</type>
      <name>elevation</name>
      <anchor>p4</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TranslationElement</name>
    <filename>classTranslationElement.html</filename>
    <member kind="function">
      <type></type>
      <name>TranslationElement</name>
      <anchor>a0</anchor>
      <arglist>(int id, const char *text)</arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>id</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>text</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>VarioModeDialog</name>
    <filename>classVarioModeDialog.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>load</name>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>save</name>
      <anchor>i1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>newVarioTime</name>
      <anchor>l0</anchor>
      <arglist>(int newTime)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>newTEKMode</name>
      <anchor>l1</anchor>
      <arglist>(bool newMode)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>newTEKAdjust</name>
      <anchor>l2</anchor>
      <arglist>(int newAdjust)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>VarioModeDialog</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Vector</name>
    <filename>classVector.html</filename>
    <member kind="function">
      <type></type>
      <name>Vector</name>
      <anchor>a1</anchor>
      <arglist>(double x, double y)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Vector</name>
      <anchor>a2</anchor>
      <arglist>(Speed x, Speed y)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Vector</name>
      <anchor>a3</anchor>
      <arglist>(double angle, Speed R)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Vector</name>
      <anchor>a4</anchor>
      <arglist>(int angle, Speed R)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getAngleDeg</name>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>getAngleRad</name>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAngle</name>
      <anchor>a8</anchor>
      <arglist>(int angle)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAngleAndSpeed</name>
      <anchor>a9</anchor>
      <arglist>(const int angle, const Speed &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAngleRad</name>
      <anchor>a10</anchor>
      <arglist>(double angle)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSpeed</name>
      <anchor>a11</anchor>
      <arglist>(const Speed &amp;)</arglist>
    </member>
    <member kind="function">
      <type>Speed</type>
      <name>getSpeed</name>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Speed</type>
      <name>getY</name>
      <anchor>a13</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Speed</type>
      <name>getX</name>
      <anchor>a14</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>getYMps</name>
      <anchor>a15</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>getXMps</name>
      <anchor>a16</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setX</name>
      <anchor>a17</anchor>
      <arglist>(double x)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setY</name>
      <anchor>a18</anchor>
      <arglist>(double y)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setX</name>
      <anchor>a19</anchor>
      <arglist>(Speed x)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setY</name>
      <anchor>a20</anchor>
      <arglist>(Speed y)</arglist>
    </member>
    <member kind="function">
      <type>Vector &amp;</type>
      <name>operator=</name>
      <anchor>a21</anchor>
      <arglist>(const Vector &amp;x)</arglist>
    </member>
    <member kind="function">
      <type>Vector</type>
      <name>operator+</name>
      <anchor>a22</anchor>
      <arglist>(Vector &amp;x)</arglist>
    </member>
    <member kind="function">
      <type>Vector</type>
      <name>operator-</name>
      <anchor>a23</anchor>
      <arglist>(Vector &amp;x)</arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>operator/</name>
      <anchor>a24</anchor>
      <arglist>(Vector &amp;x)</arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>operator *</name>
      <anchor>a25</anchor>
      <arglist>(Vector &amp;x)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator!=</name>
      <anchor>a26</anchor>
      <arglist>(Vector &amp;x)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchor>a27</anchor>
      <arglist>(Vector &amp;x)</arglist>
    </member>
    <member kind="function">
      <type>Vector</type>
      <name>operator-</name>
      <anchor>a28</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Vector</type>
      <name>operator *</name>
      <anchor>a29</anchor>
      <arglist>(double left)</arglist>
    </member>
    <member kind="function">
      <type>Vector</type>
      <name>operator *</name>
      <anchor>a30</anchor>
      <arglist>(int left)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>add</name>
      <anchor>a31</anchor>
      <arglist>(Vector arg)</arglist>
    </member>
    <member kind="function">
      <type>Vector</type>
      <name>Clone</name>
      <anchor>a32</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setInvalid</name>
      <anchor>a33</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isValid</name>
      <anchor>a34</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>double</type>
      <name>_angle</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>dirtyXY</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>dirtyDR</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>double</type>
      <name>_x</name>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>double</type>
      <name>_y</name>
      <anchor>p4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>double</type>
      <name>_speed</name>
      <anchor>p5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>_isValid</name>
      <anchor>p6</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>WaitScreen</name>
    <filename>classWaitScreen.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>slot_SetText1</name>
      <anchor>i0</anchor>
      <arglist>(const QString &amp;text)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slot_SetText2</name>
      <anchor>i1</anchor>
      <arglist>(const QString &amp;text)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slot_Progress</name>
      <anchor>i2</anchor>
      <arglist>(int stepsize=1)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>WaitScreen</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setScreenUsage</name>
      <anchor>a2</anchor>
      <arglist>(const bool newValue)</arglist>
    </member>
    <member kind="function">
      <type>const bool</type>
      <name>screenUsage</name>
      <anchor>a3</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>wayPoint</name>
    <filename>classwayPoint.html</filename>
    <member kind="function">
      <type></type>
      <name>wayPoint</name>
      <anchor>a1</anchor>
      <arglist>(const wayPoint &amp;inst)</arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>name</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>WGSPoint</type>
      <name>origP</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QPoint</type>
      <name>projP</name>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned int</type>
      <name>sector1</name>
      <anchor>o3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned int</type>
      <name>sector2</name>
      <anchor>o4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned int</type>
      <name>sectorFAI</name>
      <anchor>o5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>double</type>
      <name>angle</name>
      <anchor>o6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>type</name>
      <anchor>o7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>double</type>
      <name>distance</name>
      <anchor>o8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>description</name>
      <anchor>o9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>icao</name>
      <anchor>o10</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>comment</name>
      <anchor>o11</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>surface</name>
      <anchor>o12</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>runway</name>
      <anchor>o13</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>length</name>
      <anchor>o14</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>elevation</name>
      <anchor>o15</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>double</type>
      <name>frequency</name>
      <anchor>o16</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>isLandable</name>
      <anchor>o17</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned int</type>
      <name>importance</name>
      <anchor>o18</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>WaypointCatalog</name>
    <filename>classWaypointCatalog.html</filename>
    <member kind="function">
      <type>bool</type>
      <name>read</name>
      <anchor>a2</anchor>
      <arglist>(QString &amp;catalog)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>write</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>showAll</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>showAirports</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>showGliderSites</name>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>showOtherSites</name>
      <anchor>o3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>showObstacle</name>
      <anchor>o4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>showLandmark</name>
      <anchor>o5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>showOutlanding</name>
      <anchor>o6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>showStation</name>
      <anchor>o7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>areaLat1</name>
      <anchor>o8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>areaLat2</name>
      <anchor>o9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>areaLong1</name>
      <anchor>o10</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>areaLong2</name>
      <anchor>o11</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>radiusLat</name>
      <anchor>o12</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>radiusLong</name>
      <anchor>o13</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>double</type>
      <name>radiusSize</name>
      <anchor>o14</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QList&lt; wayPoint &gt; *</type>
      <name>wpList</name>
      <anchor>o15</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>path</name>
      <anchor>o16</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>modified</name>
      <anchor>o17</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>onDisc</name>
      <anchor>o18</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>WGSPoint</name>
    <filename>classWGSPoint.html</filename>
    <member kind="enumeration">
      <name>Format</name>
      <anchor>w3</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>WGSPoint</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>WGSPoint</name>
      <anchor>a1</anchor>
      <arglist>(int lat, int lon)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>lat</name>
      <anchor>a2</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>lon</name>
      <anchor>a3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setLat</name>
      <anchor>a4</anchor>
      <arglist>(int lat)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setLon</name>
      <anchor>a5</anchor>
      <arglist>(int lon)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPos</name>
      <anchor>a6</anchor>
      <arglist>(int lat, int lon)</arglist>
    </member>
    <member kind="function">
      <type>WGSPoint &amp;</type>
      <name>operator=</name>
      <anchor>a7</anchor>
      <arglist>(const QPoint &amp;p)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>const int</type>
      <name>getFormat</name>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>setFormat</name>
      <anchor>e1</anchor>
      <arglist>(Format format)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>calcPos</name>
      <anchor>e2</anchor>
      <arglist>(int coord, int &amp;degree, int &amp;min, int &amp;sec)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>calcPos</name>
      <anchor>e3</anchor>
      <arglist>(int coord, int &amp;degree, double &amp;min)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>QString</type>
      <name>printPos</name>
      <anchor>e4</anchor>
      <arglist>(int coord, bool isLat=true)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>int</type>
      <name>degreeToNum</name>
      <anchor>e5</anchor>
      <arglist>(QString degree)</arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>Format</type>
      <name>_format</name>
      <anchor>t0</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend">
      <type>friend bool</type>
      <name>operator==</name>
      <anchor>n0</anchor>
      <arglist>(const WGSPoint &amp;pA, const WGSPoint &amp;pB)</arglist>
    </member>
    <member kind="friend">
      <type>friend bool</type>
      <name>operator!=</name>
      <anchor>n1</anchor>
      <arglist>(const WGSPoint &amp;pA, const WGSPoint &amp;pB)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>WhatsThat</name>
    <filename>classWhatsThat.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>hide</name>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>mapIsRedrawing</name>
      <anchor>i1</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>WhatsThat</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *w, const QString &amp;txt, QWidget *parent, const char *name, int timeout=5000)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>uint</type>
      <name>getInstance</name>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>mousePressEvent</name>
      <anchor>b0</anchor>
      <arglist>(QMouseEvent *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>mouseReleaseEvent</name>
      <anchor>b1</anchor>
      <arglist>(QMouseEvent *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>mouseMoveEvent</name>
      <anchor>b2</anchor>
      <arglist>(QMouseEvent *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>keyPressEvent</name>
      <anchor>b3</anchor>
      <arglist>(QKeyEvent *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>paintEvent</name>
      <anchor>b4</anchor>
      <arglist>(QPaintEvent *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>WindAnalyser</name>
    <filename>classWindAnalyser.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>slot_newFlightMode</name>
      <anchor>i0</anchor>
      <arglist>(CuCalc::flightmode, int)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slot_newSample</name>
      <anchor>i1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slot_newConstellation</name>
      <anchor>i2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>newMeasurement</name>
      <anchor>l0</anchor>
      <arglist>(Vector wind, int quality)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>WindAnalyser</name>
      <anchor>a0</anchor>
      <arglist>(QObject *parent)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>WindMeasurement</name>
    <filename>structWindMeasurement.html</filename>
    <member kind="variable">
      <type>Vector</type>
      <name>vector</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>quality</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QTime</type>
      <name>time</name>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>Altitude</type>
      <name>altitude</name>
      <anchor>o3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>WindStore</name>
    <filename>classWindStore.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>slot_measurement</name>
      <anchor>i0</anchor>
      <arglist>(Vector windvector, int quality)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slot_Altitude</name>
      <anchor>i1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>newWind</name>
      <anchor>l0</anchor>
      <arglist>(Vector &amp;wind)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>WindStore</name>
      <anchor>a0</anchor>
      <arglist>(QObject *parent)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>WPEditDialog</name>
    <filename>classWPEditDialog.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>save</name>
      <anchor>l0</anchor>
      <arglist>(wayPoint *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>load</name>
      <anchor>l1</anchor>
      <arglist>(wayPoint *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>settingsChanged</name>
      <anchor>l2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>wpListChanged</name>
      <anchor>l3</anchor>
      <arglist>(wayPoint *)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>WPEditDialog</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0, wayPoint *wp=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>accept</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>WPEditDialogPageAero</name>
    <filename>classWPEditDialogPageAero.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>slot_save</name>
      <anchor>i0</anchor>
      <arglist>(wayPoint *wp)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slot_load</name>
      <anchor>i1</anchor>
      <arglist>(wayPoint *wp)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>WPEditDialogPageAero</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QLineEdit *</type>
      <name>edtICAO</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QLineEdit *</type>
      <name>edtFrequency</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>DegreeSpinBox *</type>
      <name>edtRunway</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QLineEdit *</type>
      <name>edtLength</name>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCheckBox *</type>
      <name>chkLandable</name>
      <anchor>p4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QComboBox *</type>
      <name>cmbSurface</name>
      <anchor>p5</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>WPEditDialogPageGeneral</name>
    <filename>classWPEditDialogPageGeneral.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>slot_save</name>
      <anchor>i0</anchor>
      <arglist>(wayPoint *wp)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slot_load</name>
      <anchor>i1</anchor>
      <arglist>(wayPoint *wp)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>WPEditDialogPageGeneral</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QLineEdit *</type>
      <name>edtName</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QLineEdit *</type>
      <name>edtDescription</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>LatEdit *</type>
      <name>edtLat</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>LongEdit *</type>
      <name>edtLong</name>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QLineEdit *</type>
      <name>edtElev</name>
      <anchor>p4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QComboBox *</type>
      <name>cmbType</name>
      <anchor>p5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QComboBox *</type>
      <name>cmbImportance</name>
      <anchor>p6</anchor>
      <arglist></arglist>
    </member>
  </compound>
</tagfile>
